export const STATUS_CODE_EN = {
  '10001': {
    code: '10001',
    message: 'Key broad deplicate'
  },
  '10002': {
    code: '10002',
    message: 'DB Connect Fault'
  },
  '10003': {
    code: '10003',
    message: 'AQL Query Fault'
  },
  '10004': {
    code: '10004',
    message: 'Invalid Fault'
  },
  '10005': {
    code: '10005',
    message: 'Illegal Fault'
  },
  '10006': {
    code: '10006',
    message: 'No more than 5 devices'
  },
  '11001': {
    code: '11001',
    message: 'Device name existed'
  },
  '11002': {
    code: '11002',
    message: 'Sequence existed'
  },
  '11003': {
    code: '11003',
    message: 'IP address existed'
  },
  '11004': {
    code: '11004',
    message: 'Topology updated'
  },
  '11005': {
    code: '11005',
    message: 'Fail to get device info'
  },
  '11006': {
    code: '11006',
    message: 'Fail to get Port info'
  },
  '11007': {
    code: '11007',
    message: 'Field Empty'
  },
  '11008': {
    code: '11008',
    message: 'IP address format invalid'
  },
  '11009': {
    code: '11009',
    message: 'Device used in service subnet'
  },
  '11010': {
    code: '11010',
    message: 'Device used in eline path'
  },
  '12001': {
    code: '12001',
    message: 'cabinet not exist'
  },
  '12002': {
    code: '12002',
    message: 'deviceport not exist'
  },
  '12003': {
    code: '12003',
    message: 'cabinet already exist'
  },
  '12004': {
    code: '12004',
    message: 'Delete not allowed'
  },
  '13001': {
    code: '13001',
    message: 'Location id duplicate'
  },
  '13002': {
    code: '13002',
    message: 'Location name duplicate'
  },
  '13003': {
    code: '13003',
    message: 'Location not exist'
  },
  '13004': {
    code: '13004',
    message: 'Location id can not be modified'
  },
  '13005': {
    code: '13005',
    message: 'one or more devices are in use in the location'
  },
  '13006': {
    code: '13006',
    message: 'one or more cabinets are in use in the location'
  },
  '14001': {
    code: '14001',
    message: 'PerformanceConfig key duplicate'
  },
  '14002': {
    code: '14002',
    message: 'PerformanceConfig not exist'
  },
  '15001': {
    code: '15001',
    message: 'Link key duplicate'
  },
  '15002': {
    code: '15002',
    message: 'Link not exist'
  },
  '15003': {
    code: '15003',
    message: 'Link name duplicate'
  },
  '15004': {
    code: '15004',
    message: 'Link  duplicate'
  },
  '15005': {
    code: '15005',
    message: 'Link port in use'
  },
  '15006': {
    code: '15006',
    message: 'Link name not exist'
  },
  '16001': {
    code: '16001',
    message: 'Server name duplicate'
  },
  '17001': {
    code: '17001',
    message: 'Fail to get device status info'
  },
  '17002': {
    code: '17002',
    message: 'Fail to get system version info'
  },
  '17003': {
    code: '17003',
    message: 'Fail to reboot device'
  },
  '18001': {
    code: '18001',
    message: 'Config file duplicate'
  },
  '18002': {
    code: '18002',
    message: 'Config file in use'
  },
  '18003': {
    code: '18003',
    message: 'Config file name duplicate'
  },
  '18004': {
    code: '18004',
    message: 'Config file upload failure'
  },
  '18005': {
    code: '18005',
    message: 'Config file download failure'
  },
  '19001': {
    code: '19001',
    message: 'Subnet id not exist'
  },
  '19002': {
    code: '19002',
    message: 'Subnet name deplicate'
  },
  '19003': {
    code: '19003',
    message: 'There are devices in subnets'
  },
  '20001': {
    code: '20001',
    message: 'AlarmConfig not exit'
  },
  '20002': {
    code: '20002',
    message: 'AlarmConfig id duplicate'
  },
  '20003': {
    code: '20003',
    message: 'Alarm not exist'
  },
  '20004': {
    code: '20004',
    message: 'Alarm level config not exist'
  },
  '20005': {
    code: '20005',
    message: 'Alarm filter config id duplicate'
  },
  '20006': {
    code: '20006',
    message: 'Name of alarm filter is duplicate'
  },
  '20007': {
    code: '20007',
    message: 'Alarm filter config not exist'
  },
  '20008': {
    code: '20008',
    message: 'Alarm event id duplicate'
  },
  '20009': {
    code: '20009',
    message: 'Alarm audio upload failure'
  },
  '20010': {
    code: '20010',
    message: 'Alarm audio not exist'
  },
  '21001': {
    code: '21001',
    message: 'PortList id duplicate'
  },
  '21002': {
    code: '21002',
    message: 'PortList not exist'
  },
  '21003': {
    code: '21003',
    message: 'PortList not null'
  },
  '21004': {
    code: '21004',
    message: "Can't modify deviceKey or portName"
  },
  '22001': {
    code: '22001',
    message: 'User ID not exist'
  },
  '22002': {
    code: '22002',
    message: 'User name deplicate'
  },
  '22003': {
    code: '22003',
    message: 'Usergroup not exist'
  },
  '22004': {
    code: '22004',
    message: 'Usergroup name deplicate'
  },
  '22005': {
    code: '22005',
    message: 'update password'
  },
  '22006': {
    code: '22006',
    message: 'User password is empty'
  },
  '22007': {
    code: '22007',
    message: 'User name is empty'
  },
  '22008': {
    code: '22008',
    message: 'User name not exist'
  },
  '22009': {
    code: '22009',
    message: 'User password is error'
  },
  '22010': {
    code: '22010',
    message: 'User is locked'
  },
  '22011': {
    code: '22011',
    message: 'Login time out'
  },
  '22012': {
    code: '22012',
    message: 'User not peimitted'
  },
  '22013': {
    code: '22013',
    message: 'there are users in usergroup'
  },
  '22014': {
    code: '22014',
    message: 'User not login'
  },
  '23001': {
    code: '23001',
    message: 'VpnId existed'
  },
  '23002': {
    code: '23002',
    message: 'eline servicename existed'
  },
  '23003': {
    code: '23003',
    message: 'No availiable devices'
  },
  '23004': {
    code: '23004',
    message: 'Elinetemplate name existed'
  },
  '23005': {
    code: '23005',
    message: 'Cdp Profile name existed'
  },
  '23006': {
    code: '23006',
    message: 'Service subnet id existed'
  },
  '23007': {
    code: '23007',
    message: 'Service subnet name existed'
  },
  '23008': {
    code: '23008',
    message: 'Service subnet occupied by eline'
  },
  '23009': {
    code: '23009',
    message: 'Service type id existed'
  },
  '23010': {
    code: '23010',
    message: 'Service type name existed'
  },
  '23011': {
    code: '23011',
    message: 'Service type occupied by eline'
  },
  '23012': {
    code: '23012',
    message: 'Eline service not success'
  },
  '23013': {
    code: '23013',
    message: 'CDP profile create failure'
  },
  '23014': {
    code: '23014',
    message: 'CDP profile occupied by eline'
  },
  '23015': {
    code: '23015',
    message: 'CDP profile occupied by eline template'
  },
  '23016': {
    code: '23016',
    message: 'Service type occupied by eline template'
  },
  '23017': {
    code: '23017',
    message: 'Service type occupied by service subnet'
  },
  '23018': {
    code: '23018',
    message: 'Device occupied by eline'
  },
  '23019': {
    code: '23019',
    message: 'Device not available'
  },
  '24001': {
    code: '24001',
    message: 'Device not found'
  },
  '24002': {
    code: '24002',
    message: 'Link not found'
  },
  '24003': {
    code: '24003',
    message: 'Server not distinguished'
  },
  '200': {
    code: '200',
    message: 'option success'
  },
  '404': {
    code: '404',
    message: 'request way error'
  },
  '405': {
    code: '405',
    message: 'method error'
  },
  '415': {
    code: '415',
    message: 'data form error'
  },
  '500': {
    code: '500',
    message: 'server error'
  },
  '5001': {
    code: '5001',
    message: 'syslog unachievable！'
  },
  '2001': {
    code: '2001',
    message: 'query success！'
  },
  '2002': {
    code: '2002',
    message: 'add success！'
  },
  '2003': {
    code: '2003',
    message: 'delete success！'
  },
  '2004': {
    code: '2004',
    message: 'modify success！'
  },
  '2005': {
    code: '2005',
    message: 'option success！'
  },
  '2006': {
    code: '2006',
    message: 'locked success！'
  },
  '2007': {
    code: '2007',
    message: 'unlocked success！'
  },
  '2008': {
    code: '2008',
    message: 'enabled success！'
  },
  '2009': {
    code: '2009',
    message: 'disabled success！'
  },
  // "1234": {
  //   code: "1234",
  //   message: "get basic info failed!！"
  // },
  '19004': {
    code: '19004',
    message: 'Subnet cannot be empty!'
  },
  '13007': {
    code: '13007',
    message: 'Location cannot be empty!'
  },
  '13008': {
    code: '13008',
    message: 'Location ID cannot be empty！'
  },
  '12007': {
    code: '12007',
    message: 'Cabinet cannot be empty!！'
  },
  '11011': {
    code: '11011',
    message: 'Network Element Name cannot be empty！'
  },
  '11012': {
    code: '11012',
    message: 'Device Type cannot be empty！'
  },
  '11013': {
    code: '11013',
    message: 'Device Model cannot be empty！'
  },
  '11014': {
    code: '11014',
    message: 'Belonged Subnet cannot be empty！'
  },
  '11015': {
    code: '11015',
    message: 'IP Address cannot be empty！'
  },
  '21005': {
    code: '21005',
    message: 'Access business port name deplicate！'
  },
  '100000001': {
    code: '100000001',
    message: 'Obtain resource information failed ！'
  },
  'undefined': {
    code: 'undefined',
    message: 'undefined error code'
  }

}
