export const STATUS_CODE_ZH_CN = {
  '10001': {
    code: '10001',
    message: '主键冲突'
  },
  '10002': {
    code: '10002',
    message: '数据库连接异常'
  },
  '10003': {
    code: '10003',
    message: 'AQL查询错误'
  },
  '10004': {
    code: '10004',
    message: '无效字段或语句'
  },
  '10005': {
    code: '10005',
    message: '不合法字段或语句'
  },
  '10006': {
    code: '10006',
    message: '查询的设备数不能超过5'
  },
  '11001': {
    code: '11001',
    message: '网元名称已存在'
  },
  '11002': {
    code: '11002',
    message: '序列号已存在'
  },
  '11003': {
    code: '11003',
    message: 'IP地址已存在'
  },
  '11004': {
    code: '11004',
    message: '拓扑已更新'
  },
  '11005': {
    code: '11005',
    message: '获取设备信息失败'
  },
  '11006': {
    code: '11006',
    message: '获取端口信息失败'
  },
  '11007': {
    code: '11007',
    message: '字段为空'
  },
  '11008': {
    code: '11008',
    message: '非法IP地址'
  },
  '11009': {
    code: '11009',
    message: '设备已存在于业务子网中'
  },
  '11010': {
    code: '11010',
    message: '设备被业务路由占用'
  },
  '12001': {
    code: '12001',
    message: '不存在该机架'
  },
  '12002': {
    code: '12002',
    message: '不存在该端口'
  },
  '12003': {
    code: '12003',
    message: '机架已经存在'
  },
  '12004': {
    code: '12004',
    message: '不允许删除'
  },
  '13001': {
    code: '13001',
    message: '机房编号重复'
  },
  '13002': {
    code: '13002',
    message: '机房名称重复'
  },
  '13003': {
    code: '13003',
    message: '机房记录不存在'
  },
  '13004': {
    code: '13004',
    message: '机房编号不可修改'
  },
  '13005': {
    code: '13005',
    message: '机房下存在一个或多个网元在使用中'
  },
  '13006': {
    code: '13006',
    message: '机房下存在一个或多个机架在使用中'
  },
  '14001': {
    code: '14001',
    message: '性能配置文件重复'
  },
  '14002': {
    code: '14002',
    message: '性能配置不存在'
  },
  '14003': {
    code: '14003',
    message: '性能信息不存在'
  },
  '14004': {
    code: '14004',
    message: '性能模板信息重复'
  },
  '14005': {
    code: '14005',
    message: '下发的性能模板并非同一组数据'
  },
  '14006': {
    code: '14006',
    message: '采集任务名称重复'
  },
  '14007': {
    code: '14007',
    message: '采集任务不存在'
  },
  '14009': {
    code: '14009',
    message: '性能模板下存在采集任务，不允许删除！'
  },
  '14011': {
    code: '14011',
    message: '没有在任务执行时间！'
  },
  '14015': {
    code: '14015',
    message: '待补充！'
  },
  '15001': {
    code: '15001',
    message: '连接信息重复'
  },
  '15002': {
    code: '15002',
    message: '连接不存在'
  },
  '15003': {
    code: '15003',
    message: '连接名称重复'
  },
  '15004': {
    code: '15004',
    message: '连接重复'
  },
  '15005': {
    code: '15005',
    message: '连接端口被占用'
  },
  '15006': {
    code: '15006',
    message: '链路名称为空！'
  },
  '16001': {
    code: '16001',
    message: '服务器名称重复'
  },
  '17001': {
    code: '17001',
    message: '获取设备状态信息失败'
  },
  '17002': {
    code: '17002',
    message: '获取系统版本信息失败'
  },
  '17003': {
    code: '17003',
    message: '设备重启失败'
  },
  '18001': {
    code: '18001',
    message: '配置文件备份已存在'
  },
  '18002': {
    code: '18002',
    message: '配置文件正在被设备使用，请先删除设备'
  },
  '18003': {
    code: '18003',
    message: '配置文件名称重复'
  },
  '18004': {
    code: '18004',
    message: '配置文件上传失败'
  },
  '18005': {
    code: '18005',
    message: '配置文件下发失败'
  },
  '19001': {
    code: '19001',
    message: '不存在该子网'
  },
  '19002': {
    code: '19002',
    message: '子网名称重复'
  },
  '19003': {
    code: '19003',
    message: '该子网下存在一个或多个网元'
  },
  '20001': {
    code: '20001',
    message: '报警配置不存在'
  },
  '20002': {
    code: '20002',
    message: '报警告警码重复'
  },
  '20003': {
    code: '20003',
    message: '不存在此报警'
  },
  '20004': {
    code: '20004',
    message: '告警等级配置不存在'
  },
  '20005': {
    code: '20005',
    message: '告警过滤配置重复'
  },
  '20006': {
    code: '20006',
    message: '告警过滤配置名字重复'
  },
  '20007': {
    code: '20007',
    message: '告警过滤配置不存在'
  },
  '20008': {
    code: '20008',
    message: '告警事件重复'
  },
  '20009': {
    code: '20009',
    message: '音频上传不成功'
  },
  '20010': {
    code: '20010',
    message: '音频不存在'
  },
  '21001': {
    code: '21001',
    message: '业务管理端口重复'
  },
  '21002': {
    code: '21002',
    message: '不存在该业务管理端口'
  },
  '21003': {
    code: '21003',
    message: '业务管理端口不为空'
  },
  '21004': {
    code: '21004',
    message: '不能修改所属网元和端口名称'
  },
  '22001': {
    code: '22001',
    message: '用户不存在'
  },
  '22002': {
    code: '22002',
    message: '用户名重复'
  },
  '22003': {
    code: '22003',
    message: '用户组不存在'
  },
  '22004': {
    code: '22004',
    message: '用户组名重复'
  },
  '22005': {
    code: '22005',
    message: '更新密码'
  },
  '22006': {
    code: '22006',
    message: '用户密码为空'
  },
  '22007': {
    code: '22007',
    message: '用户名为空'
  },
  '22008': {
    code: '22008',
    message: '用户名不存在'
  },
  '22009': {
    code: '22009',
    message: '用户密码错误'
  },
  '22010': {
    code: '22010',
    message: '用户被锁定'
  },
  '22011': {
    code: '22011',
    message: '登录超时'
  },
  '22012': {
    code: '22012',
    message: '该用户不允许'
  },
  '22013': {
    code: '22013',
    message: '该用户组存在用户'
  },
  '22014': {
    code: '22014',
    message: '用户未登录'
  },
  '23001': {
    code: '23001',
    message: 'VpnId 已存在'
  },
  '23002': {
    code: '23002',
    message: '业务名称已存在'
  },
  '23003': {
    code: '23003',
    message: '无可选设备'
  },
  '23004': {
    code: '23004',
    message: '业务模板名称已存在'
  },
  '23005': {
    code: '23005',
    message: 'Cdp Profile 名称已存在'
  },
  '23006': {
    code: '23006',
    message: '业务子网ID已存在'
  },
  '23007': {
    code: '23007',
    message: '业务子网名称已存在'
  },
  '23008': {
    code: '23008',
    message: '业务子网已被Eline占用'
  },
  '23009': {
    code: '23009',
    message: '业务类型ID已存在'
  },
  '23010': {
    code: '23010',
    message: '业务类型名称已存在'
  },
  '23011': {
    code: '23011',
    message: '业务类型已被Eline占用'
  },
  '23012': {
    code: '23012',
    message: '业务创建不成功'
  },
  '23013': {
    code: '23013',
    message: 'CDP Profile创建不成功'
  },
  '23014': {
    code: '23014',
    message: 'CDP Profile已被Eline占用'
  },
  '23015': {
    code: '23015',
    message: 'CDP Profile已被Eline模板占用'
  },
  '23016': {
    code: '23016',
    message: '业务类型已被Eline模板占用'
  },
  '23017': {
    code: '23017',
    message: '业务类型已被业务子网占用'
  },
  '23018': {
    code: '23018',
    message: '设备已分配业务'
  },
  '23019': {
    code: '23019',
    message: '设备不可用'
  },
  '24001': {
    code: '24001',
    message: '未发现设备'
  },
  '24002': {
    code: '24002',
    message: '未发现链路'
  },
  '24003': {
    code: '24003',
    message: '服务器未识别'
  },

  // ls添加开始----------------------------------------------------------
  '25001': {
    code: '25001',
    message: '固件重复'
  },
  '25002': {
    code: '25002',
    message: '固件正在使用'
  },
  '25003': {
    code: '25003',
    message: '固件名称重复'
  },
  '25004': {
    code: '25004',
    message: '固件上传失败'
  },
  '25005': {
    code: '25005',
    message: '固件下发失败'
  },
  '25006': {
    code: '25006',
    message: '固件回退失败'
  },
  '26001': {
    code: '26001',
    message: '快照名称重复'
  },
  '26002': {
    code: '26002',
    message: '快照存在'
  },
  '26003': {
    code: '26003',
    message: '快照不存在'
  },
  '26004': {
    code: '26004',
    message: '快照版本回退设备配置更新失败'
  },
  '26005': {
    code: '26005',
    message: '快照版本回退机房配置更新失败'
  },
  '26006': {
    code: '26006',
    message: '快照版本回退机架配置更新失败'
  },
  '26007': {
    code: '26007',
    message: '快照版本回退子网配置更新失败'
  },
  '26008': {
    code: '26008',
    message: '快照版本回退拓扑配置更新失败'
  },
  '26009': {
    code: '26009',
    message: '快照版本回退业务端口配置更新失败'
  },
  '26010': {
    code: '26010',
    message: '快照版本回退链路配置更新失败'
  },
  '26011': {
    code: '26011',
    message: '快照版本回退服务器配置更新失败'
  },
  '26012': {
    code: '26012',
    message: '快照版本回退配置文件更新失败'
  },
  '26013': {
    code: '26013',
    message: '快照版本回退用户信息更新失败'
  },
  '26014': {
    code: '26014',
    message: '快照版本回退用户组信息更新失败'
  },
  // ls添加结束---------------------------------------------------------
  '200': {
    code: '200',
    message: '操作成功'
  },
  '404': {
    code: '404',
    message: '请求地址有误'
  },
  '405': {
    code: '405',
    message: '请求方式有误'
  },
  '415': {
    code: '415',
    message: '传输的数据有问题'
  },
  '500': {
    code: '500',
    message: '服务器后台有问题'
  },
  '5001': {
    code: '5001',
    message: '设备失联，无法获取设备日志！'
  },
  '2001': {
    code: '2001',
    message: '查询成功！'
  },
  '2002': {
    code: '2002',
    message: '添加成功！'
  },
  '2003': {
    code: '2003',
    message: '删除成功！'
  },
  '2004': {
    code: '2004',
    message: '修改成功！'
  },
  '2005': {
    code: '2005',
    message: '操作成功！'
  },
  '2006': {
    code: '2006',
    message: '锁定成功！'
  },
  '2007': {
    code: '2007',
    message: '解锁成功！'
  },
  '2008': {
    code: '2008',
    message: '启用成功！'
  },
  '2009': {
    code: '2009',
    message: '停用成功！'
  },
  '1234': {
    code: '1234',
    message: '获取网元信息失败！'
  },
  '19004': {
    code: '19004',
    message: '子网名称不可为空！'
  },
  '13007': {
    code: '13007',
    message: '机房名称不可为空！'
  },
  '13008': {
    code: '13008',
    message: '机房编号不可为空！'
  },
  '12007': {
    code: '12007',
    message: '机架名称不可为空！'
  },
  '12008': {
    code: '12008',
    message: '网元发现模板名称不能为空！'
  },
  '12009': {
    code: '12009',
    message: '网元发现模板名称重复！'
  },
  '12010': {
    code: '12010',
    message: '网元发现模板名称冲突！'
  },
  '12011': {
    code: '1201',
    message: '该网元发现模板不存在！'
  },
  '11011': {
    code: '11011',
    message: '网元名称不可为空！'
  },
  '11012': {
    code: '11012',
    message: '网元类型不可为空！'
  },
  '11013': {
    code: '11013',
    message: '网元型号不可为空！'
  },
  '11014': {
    code: '11014',
    message: '所属子网不可为空！'
  },
  '11015': {
    code: '11015',
    message: '网元IP不可为空！'
  },
  '21005': {
    code: '21005',
    message: '接入业务端口名称已存在！'
  },
  '28001': {
    code: '28001',
    message: '报表模板名称重复！'
  },
  '28002': {
    code: '28002',
    message: '报表模板不存在！'
  },
  '28003': {
    code: '28003',
    message: '报表任务名称重复！'
  },
  '28004': {
    code: '28004',
    message: '报表任务不存在！'
  },
  '28005': {
    code: '28005',
    message: '周期报表记录不存在！'
  },
  '28006': {
    code: '28006',
    message: '周期报表文件不存在！'
  },
  '60001': {
    code: '60001',
    message: 'SQL语句查询错误！'
  },
  '27002': {
    code: '27002',
    message: 'SNMP获取错误！'
  },
  '27004': {
    code: '27004',
    message: '需要获取的OID不存在！'
  },
  '100000001': {
    code: '100000001',
    message: '获取资源信息失败！'
  },
  'undefined': {
    code: 'undefined',
    message: '未定义错误码'
  }

}
