// getAllElineCollection()
export const SERVICESUBNET_GETALL_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": [
    {
      "vpnId": "1",
      "serviceName": "service-1",
      "serviceTypeID": "",
      "protectionMode": 0,
      "reversion": 1,
      "wtr": 2,
      "oamInfo": 1,
      "ccmInterval": 1,
      "encapsulationType": 1,
      "l2AccessType": 1,
      "startDeviceId": "of:0000001e080e1802",
      "startDevicePort": 1,
      "end1DeviceId": "of:0000001e080e180b",
      "end1DevicePort": 1,
      "isDualHomed": 1,
      "end2DeviceId": "",
      "end2DevicePort": 0,
      "vlanAccess": 0,
      "vlanRangeStart": 3,
      "vlanRangeEnd": 4,
      "vlanSet": "",
      "cosId": 3,
      "limitedBandwidth": 1000,
      "qosProfile": "switch_profile",
      "startTime": "",
      "elineStatus": "SUCCESS",
      "serviceSubnetID": ""
    }
  ]
}
export const SERVICESUBNET_GETALL_OUTPUT = [
  {
    "vpnId": "1",
    "serviceName": "service-1",
    "serviceTypeID": "",
    "protectionMode": 0,
    "reversion": 1,
    "wtr": 2,
    "oamInfo": 1,
    "ccmInterval": 1,
    "encapsulationType": 1,
    "l2AccessType": 1,
    "startDeviceId": "of:0000001e080e1802",
    "startDevicePort": 1,
    "end1DeviceId": "of:0000001e080e180b",
    "end1DevicePort": 1,
    "isDualHomed": 1,
    "end2DeviceId": "",
    "end2DevicePort": 0,
    "vlanAccess": 0,
    "vlanRangeStart": 3,
    "vlanRangeEnd": 4,
    "vlanSet": "",
    "cosId": 3,
    "limitedBandwidth": 1000,
    "qosProfile": "switch_profile",
    "startTime": "",
    "elineStatus": "SUCCESS",
    "serviceSubnetID": ""
  }
];

// addEline(eline)
export const SERVICESUBNET_ADD_CLIENT = {
  "vpnId": "2",
  "serviceName": "service-2",
  "serviceTypeID": "",
  "protectionMode": 0,
  "reversion": 1,
  "wtr": 2,
  "oamInfo": 1,
  "ccmInterval": 1,
  "encapsulationType": 1,
  "l2AccessType": 1,
  "startDeviceId": "of:0000001e080e1802",
  "startDevicePort": 1,
  "end1DeviceId": "of:0000001e080e180b",
  "end1DevicePort": 1,
  "isDualHomed": 1,
  "end2DeviceId": "",
  "end2DevicePort": 0,
  "vlanAccess": 0,
  "vlanRangeStart": 3,
  "vlanRangeEnd": 4,
  "vlanSet": "",
  "cosId": 3,
  "limitedBandwidth": 1000,
  "qosProfile": "switch_profile",
  "startTime": "",
  "elineStatus": "SUCCESS",
  "serviceSubnetID": ""
}
export const SERVICESUBNET_ADD_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": {
    "vpnId": "2",
    "serviceName": "service-2",
    "serviceTypeID": "",
    "protectionMode": 0,
    "reversion": 1,
    "wtr": 2,
    "oamInfo": 1,
    "ccmInterval": 1,
    "encapsulationType": 1,
    "l2AccessType": 1,
    "startDeviceId": "of:0000001e080e1802",
    "startDevicePort": 1,
    "end1DeviceId": "of:0000001e080e180b",
    "end1DevicePort": 1,
    "isDualHomed": 1,
    "end2DeviceId": "",
    "end2DevicePort": 0,
    "vlanAccess": 0,
    "vlanRangeStart": 3,
    "vlanRangeEnd": 4,
    "vlanSet": "",
    "cosId": 3,
    "limitedBandwidth": 1000,
    "qosProfile": "switch_profile",
    "startTime": "",
    "elineStatus": "SUCCESS",
    "serviceSubnetID": ""
  }
}
export const SERVICESUBNET_ADD_OUTPUT = null;

// deleteElines(elineKeyList)
export const SERVICESUBNET_DELETE_CLIENT = [2]
export const SERVICESUBNET_DELETE_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": 26
}
export const SERVICESUBNET_DELETE_OUTPUT = null;

// modifyEline(eline)
export const SERVICESUBNET_MODDIFY_CLIENT = {
  "vpnId": "2",
  "serviceName": "service-3",
  "serviceTypeID": "",
  "protectionMode": 0,
  "reversion": 1,
  "wtr": 2,
  "oamInfo": 1,
  "ccmInterval": 1,
  "encapsulationType": 1,
  "l2AccessType": 1,
  "startDeviceId": "of:0000001e080e1802",
  "startDevicePort": 1,
  "end1DeviceId": "of:0000001e080e180b",
  "end1DevicePort": 1,
  "isDualHomed": 1,
  "end2DeviceId": "",
  "end2DevicePort": 0,
  "vlanAccess": 0,
  "vlanRangeStart": 3,
  "vlanRangeEnd": 4,
  "vlanSet": "",
  "cosId": 3,
  "limitedBandwidth": 1000,
  "qosProfile": "switch_profile",
  "startTime": "",
  "elineStatus": "SUCCESS",
  "serviceSubnetID": ""
}
export const SERVICESUBNET_MODDIFY_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": {
    "vpnId": "2",
    "serviceName": "service-3",
    "serviceTypeID": "",
    "protectionMode": 0,
    "reversion": 1,
    "wtr": 2,
    "oamInfo": 1,
    "ccmInterval": 1,
    "encapsulationType": 1,
    "l2AccessType": 1,
    "startDeviceId": "of:0000001e080e1802",
    "startDevicePort": 1,
    "end1DeviceId": "of:0000001e080e180b",
    "end1DevicePort": 1,
    "isDualHomed": 1,
    "end2DeviceId": "",
    "end2DevicePort": 0,
    "vlanAccess": 0,
    "vlanRangeStart": 3,
    "vlanRangeEnd": 4,
    "vlanSet": "",
    "cosId": 3,
    "limitedBandwidth": 1000,
    "qosProfile": "switch_profile",
    "startTime": "",
    "elineStatus": "SUCCESS",
    "serviceSubnetID": ""
  }
}
export const SERVICESUBNET_MODDIFY_OUTPUT = null;

// conditionQueryEline(conditionSet)
export const ELINE_QUERY_CLIENT = [{
  "quaryAttribute": 'serviceName',
  "compareSymbol": "like",
  "compareValue": 'service-2'}];
export const ELINE_QUERY_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": [
    {
      "vpnId": "2",
      "serviceName": "service-2",
      "serviceTypeID": "",
      "protectionMode": 0,
      "reversion": 1,
      "wtr": 2,
      "oamInfo": 1,
      "ccmInterval": 1,
      "encapsulationType": 1,
      "l2AccessType": 1,
      "startDeviceId": "of:0000001e080e1802",
      "startDevicePort": 1,
      "end1DeviceId": "of:0000001e080e180b",
      "end1DevicePort": 1,
      "isDualHomed": 1,
      "end2DeviceId": "",
      "end2DevicePort": 0,
      "vlanAccess": 0,
      "vlanRangeStart": 3,
      "vlanRangeEnd": 4,
      "vlanSet": "",
      "cosId": 3,
      "limitedBandwidth": 1000,
      "qosProfile": "switch_profile",
      "startTime": "",
      "elineStatus": "SUCCESS",
      "serviceSubnetID": ""
    }
  ]
};
export const ELINE_QUERY_OUTPUT = [
  {
    "vpnId": "2",
    "serviceName": "service-2",
    "serviceTypeID": "",
    "protectionMode": 0,
    "reversion": 1,
    "wtr": 2,
    "oamInfo": 1,
    "ccmInterval": 1,
    "encapsulationType": 1,
    "l2AccessType": 1,
    "startDeviceId": "of:0000001e080e1802",
    "startDevicePort": 1,
    "end1DeviceId": "of:0000001e080e180b",
    "end1DevicePort": 1,
    "isDualHomed": 1,
    "end2DeviceId": "",
    "end2DevicePort": 0,
    "vlanAccess": 0,
    "vlanRangeStart": 3,
    "vlanRangeEnd": 4,
    "vlanSet": "",
    "cosId": 3,
    "limitedBandwidth": 1000,
    "qosProfile": "switch_profile",
    "startTime": "",
    "elineStatus": "SUCCESS",
    "serviceSubnetID": ""
  }
];
