// getAllServiceTypeCollection()
export const SERVICETYPE_GETALL_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": [
    {
      "serviceTypeKey": "15531388577550000",
      "serviceTypeID": "1",
      "serviceTypeName": "11",
      "delFlag": 0,
      "modifyTime": "20190321.112737.755"
    },
    {
      "serviceTypeKey": "15531523243360002",
      "serviceTypeID": "4",
      "serviceTypeName": "4",
      "delFlag": 0,
      "modifyTime": "20190321.151204.336"
    },
    {
      "serviceTypeKey": "15531523133730000",
      "serviceTypeID": "2",
      "serviceTypeName": "2",
      "delFlag": 0,
      "modifyTime": "20190321.151153.373"
    },
    {
      "serviceTypeKey": "15531523186080001",
      "serviceTypeID": "3",
      "serviceTypeName": "3",
      "delFlag": 0,
      "modifyTime": "20190321.151158.608"
    }
  ]
}
export const SERVICETYPE_GETALL_OUTPUT = [
  {
    "serviceTypeKey": "15531388577550000",
    "serviceTypeID": "1",
    "serviceTypeName": "11",
    "delFlag": 0,
    "modifyTime": "20190321.112737.755"
  },
  {
    "serviceTypeKey": "15531523243360002",
    "serviceTypeID": "4",
    "serviceTypeName": "4",
    "delFlag": 0,
    "modifyTime": "20190321.151204.336"
  },
  {
    "serviceTypeKey": "15531523133730000",
    "serviceTypeID": "2",
    "serviceTypeName": "2",
    "delFlag": 0,
    "modifyTime": "20190321.151153.373"
  },
  {
    "serviceTypeKey": "15531523186080001",
    "serviceTypeID": "3",
    "serviceTypeName": "3",
    "delFlag": 0,
    "modifyTime": "20190321.151158.608"
  }
];

// addServiceType(serviceType)
export const SERVICETYPE_ADD_CLIENT = {
  "serviceTypeKey": "",
  "serviceTypeID": "3",
  "serviceTypeName": "test1",
  "delFlag": 0,
  "modifyTime": "20190321.151158.608"
}
export const SERVICETYPE_ADD_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": {
    "serviceTypeKey": "15531523186080001",
    "serviceTypeID": "3",
    "serviceTypeName": "test1",
    "delFlag": 0,
    "modifyTime": "20190321.151158.608"
  }
}
export const SERVICETYPE_ADD_OUTPUT = null;

// deleteServiceTypes(serviceTypeKeyList)
export const SERVICETYPE_DELETE_CLIENT = [15531523186080001]
export const SERVICETYPE_DELETE_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": 26
}
export const SERVICETYPE_DELETE_OUTPUT = null;

// modifyServiceType(serviceType)
export const SERVICETYPE_MODDIFY_CLIENT = {
  "serviceTypeKey": "15531523186080001",
  "serviceTypeID": "3",
  "serviceTypeName": "test2",
  "delFlag": 0,
  "modifyTime": "20190321.151158.608"
}
export const SERVICETYPE_MODDIFY_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": {
    "serviceTypeKey": "15531523186080001",
    "serviceTypeID": "3",
    "serviceTypeName": "test2",
    "delFlag": 0,
    "modifyTime": "20190321.151158.608"
  }
}
export const SERVICETYPE_MODDIFY_OUTPUT = null;

// conditionQueryServiceType(conditionSet)
export const SERVICETYPE_QUERY_CLIENT = [{
  "quaryAttribute": 'serviceTypeName',
  "compareSymbol": "like",
  "compareValue": 'test1'}];
export const SERVICETYPE_QUERY_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": [
    {
      "serviceTypeKey": "15531523186080001",
      "serviceTypeID": "3",
      "serviceTypeName": "test1",
      "delFlag": 0,
      "modifyTime": "20190321.151158.608"
    }
  ]
};
export const SERVICETYPE_QUERY_OUTPUT = [
  {
    "serviceTypeKey": "15531523186080001",
    "serviceTypeID": "3",
    "serviceTypeName": "test1",
    "delFlag": 0,
    "modifyTime": "20190321.151158.608"
  }
];
