export const ROUTU_OBJECT_INPUT = [
  {
    pathKey: "15554815357560012",
    vpnId: "service-1",
    srcDeviceId: "111",
    srcDevicePortNumber: "41",
    dstDeviceId: "222",
    dstDevicePortNumber: "43",
    pathType: "work"
  },
  {
    pathKey: "15554815357560013",
    vpnId: "service-1",
    srcDeviceId: "222",
    srcDevicePortNumber: "41",
    dstDeviceId: "333",
    dstDevicePortNumber: "43",
    pathType: "work"
  },
  {
    pathKey: "15554815357560014",
    vpnId: "service-1",
    srcDeviceId: "333",
    srcDevicePortNumber: "41",
    dstDeviceId: "444",
    dstDevicePortNumber: "43",
    pathType: "work"
  },
  {
    pathKey: "15554815357560015",
    vpnId: "service-1",
    srcDeviceId: "111",
    srcDevicePortNumber: "41",
    dstDeviceId: "555",
    dstDevicePortNumber: "43",
    pathType: "protect"
  },
  {
    pathKey: "15554815357560016",
    vpnId: "service-1",
    srcDeviceId: "555",
    srcDevicePortNumber: "41",
    dstDeviceId: "666",
    dstDevicePortNumber: "43",
    pathType: "protect"
  },
  {
    pathKey: "15554815357560017",
    vpnId: "service-1",
    srcDeviceId: "666",
    srcDevicePortNumber: "41",
    dstDeviceId: "444",
    dstDevicePortNumber: "43",
    pathType: "protect"
  },
]

export const ROUTE_OBJECT_OUTPUT = [
  {
    pathKey: "15554815357560012",
    vpnId: "service-1",
    srcDeviceId: "111",
    source: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "111",
      topologyName: "设备1",
      topologyState: 0,
      xAxis: 100,
      yAxis: 100
    },
    srcDevicePortNumber: "41",
    dstDeviceId: "222",
    target: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "222",
      topologyName: "设备2",
      topologyState: 0,
      xAxis: 200,
      yAxis: 50
    },
    dstDevicePortNumber: "43",
    pathType: "work"
  },
  {
    pathKey: "15554815357560013",
    vpnId: "service-1",
    srcDeviceId: "222",
    source: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "222",
      topologyName: "设备2",
      topologyState: 0,
      xAxis: 200,
      yAxis: 50
    },
    srcDevicePortNumber: "41",
    dstDeviceId: "333",
    target: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "333",
      topologyName: "设备3",
      topologyState: 0,
      xAxis: 300,
      yAxis: 50
    },
    dstDevicePortNumber: "43",
    pathType: "work"
  },
  {
    pathKey: "15554815357560014",
    vpnId: "service-1",
    srcDeviceId: "333",
    source: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "333",
      topologyName: "设备3",
      topologyState: 0,
      xAxis: 300,
      yAxis: 50
    },
    srcDevicePortNumber: "41",
    dstDeviceId: "444",
    target: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "444",
      topologyName: "设备4",
      topologyState: 0,
      xAxis: 400,
      yAxis: 100
    },
    dstDevicePortNumber: "43",
    pathType: "work"
  },
  {
    pathKey: "15554815357560015",
    vpnId: "service-1",
    srcDeviceId: "111",
    source: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "111",
      topologyName: "设备1",
      topologyState: 0,
      xAxis: 100,
      yAxis: 100
    },
    srcDevicePortNumber: "41",
    dstDeviceId: "555",
    target: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "555",
      topologyName: "设备5",
      topologyState: 0,
      xAxis: 200,
      yAxis: 100
    },
    dstDevicePortNumber: "43",
    pathType: "protect"
  },
  {
    pathKey: "15554815357560016",
    vpnId: "service-1",
    srcDeviceId: "555",
    source: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "555",
      topologyName: "设备5",
      topologyState: 0,
      xAxis: 200,
      yAxis: 100
    },
    srcDevicePortNumber: "41",
    dstDeviceId: "666",
    target: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "666",
      topologyName: "设备6",
      topologyState: 0,
      xAxis: 300,
      yAxis: 100
    },
    dstDevicePortNumber: "43",
    pathType: "protect"
  },
  {
    pathKey: "15554815357560017",
    vpnId: "service-1",
    srcDeviceId: "666",
    source: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "666",
      topologyName: "设备6",
      topologyState: 0,
      xAxis: 300,
      yAxis: 100
    },
    srcDevicePortNumber: "41",
    dstDeviceId: "444",
    target: {
      belongSubet: 0,
      nodeType: 0,
      status: "-1",
      topologyKey: "444",
      topologyName: "设备4",
      topologyState: 0,
      xAxis: 400,
      yAxis: 100
    },
    dstDevicePortNumber: "43",
    pathType: "protect"
  },
]

export const TOPOLOGY_COLLECTION = {
  "111":{
  belongSubet: 0,
  nodeType: 0,
  status: "-1",
  topologyKey: "111",
  topologyName: "设备1",
  topologyState: 0,
  xAxis: 100,
  yAxis: 100,
},
  "222":{
  belongSubet: 0,
  nodeType: 0,
  status: "-1",
  topologyKey: "222",
  topologyName: "设备2",
  topologyState: 0,
  xAxis: 200,
  yAxis: 50,
},
"333":{
  belongSubet: 0,
  nodeType: 0,
  status: "-1",
  topologyKey: "333",
  topologyName: "设备3",
  topologyState: 0,
  xAxis: 300,
  yAxis: 50,
},
"444":{
  belongSubet: 0,
  nodeType: 0,
  status: "-1",
  topologyKey: "444",
  topologyName: "设备4",
  topologyState: 0,
  xAxis: 400,
  yAxis: 100,
},
"555":{
  belongSubet: 0,
  nodeType: 0,
  status: "-1",
  topologyKey: "555",
  topologyName: "设备5",
  topologyState: 0,
  xAxis: 200,
  yAxis: 100,
},
"666":{
  belongSubet: 0,
  nodeType: 0,
  status: "-1",
  topologyKey: "666",
  topologyName: "设备6",
  topologyState: 0,
  xAxis: 300,
  yAxis: 100,
},
"777":{
  belongSubet: 0,
    nodeType: 0,
    status: "-1",
    topologyKey: "777",
    topologyName: "设备7",
    topologyState: 0,
    xAxis: 700,
    yAxis: 100,
},
"888":{
  belongSubet: 0,
  nodeType: 0,
  status: "-1",
  topologyKey: "888",
  topologyName: "设备8",
  topologyState: 0,
  xAxis: 800,
  yAxis: 100,
},
"999":{
  belongSubet: 0,
  nodeType: 0,
  status: "-1",
  topologyKey: "999",
  topologyName: "设备9",
  topologyState: 0,
  xAxis: 900,
  yAxis: 100,
},
}

export const ROUTE_TOPOLOGYLIST_OUTPUT = [
  {
    belongSubet: 0,
    nodeType: 0,
    status: "-1",
    topologyKey: "111",
    topologyName: "设备1",
    topologyState: 0,
    xAxis: 100,
    yAxis: 100,
    routeType:'0'
  },
  {
    belongSubet: 0,
    nodeType: 0,
    status: "-1",
    topologyKey: "444",
    topologyName: "设备4",
    topologyState: 0,
    xAxis: 400,
    yAxis: 100,
    routeType:'1'
  },
  {
    belongSubet: 0,
    nodeType: 0,
    status: "-1",
    topologyKey: "222",
    topologyName: "设备2",
    topologyState: 0,
    xAxis: 200,
    yAxis: 50,
    routeType:'2'
  },
  {
    belongSubet: 0,
    nodeType: 0,
    status: "-1",
    topologyKey: "333",
    topologyName: "设备3",
    topologyState: 0,
    xAxis: 300,
    yAxis: 50,
    routeType:'2'
  },
  {
    belongSubet: 0,
    nodeType: 0,
    status: "-1",
    topologyKey: "555",
    topologyName: "设备5",
    topologyState: 0,
    xAxis: 200,
    yAxis: 100,
    routeType:'3'
  },
  {
    belongSubet: 0,
    nodeType: 0,
    status: "-1",
    topologyKey: "666",
    topologyName: "设备6",
    topologyState: 0,
    xAxis: 300,
    yAxis: 100,
    routeType:'3'
  },
]

export const END_POINT = {
  startDeviceId: "111",
  end1DeviceId: "444",
  end2DeviceId: ""
}
