// getAllSubnetCollection()
export const SUBNET_GETALL_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": [
    {
      "subnetKey": "15541176417580002",
      "subnetName": "管理子网D",
      "domain": "管理",
      "delFlag": 0,
      "modifyTime": "20190401.192616.208"
    },
    {
      "subnetKey": "15465836484220006",
      "subnetName": "管理子网",
      "domain": "管理子网",
      "delFlag": 0,
      "modifyTime": "20190401.190151.085"
    },
    {
      "subnetKey": "15532219201460000",
      "subnetName": "11111",
      "domain": "",
      "delFlag": 0,
      "modifyTime": "20190322.103200.146"
    },
    {
      "subnetKey": "15483851078070000",
      "subnetName": "业务子网",
      "domain": "业务",
      "delFlag": 0,
      "modifyTime": "20190318.180212.254"
    }
  ]
}
export const SUBNET_GETALL_OUTPUT = { '15541176417580002':
    { subnetKey: '15541176417580002',
      subnetName: '管理子网D',
      domain: '管理',
      delFlag: 0,
      modifyTime: '20190401.192616.208' },
  '15465836484220006':
    { subnetKey: '15465836484220006',
      subnetName: '管理子网',
      domain: '管理子网',
      delFlag: 0,
      modifyTime: '20190401.190151.085' },
  '15532219201460000':
    { subnetKey: '15532219201460000',
      subnetName: '11111',
      domain: '',
      delFlag: 0,
      modifyTime: '20190322.103200.146' },
  '15483851078070000':
    { subnetKey: '15483851078070000',
      subnetName: '业务子网',
      domain: '业务',
      delFlag: 0,
      modifyTime: '20190318.180212.254' } };

// addSubent(subent)
export const SUBNET_ADD_CLIENT = {
  "subnetKey": "1544693813357084",
  "subnetName": "子网test1",
  "domain": "",
  "delFlag": 0,
  "modifyTime": null
}
export const SUBNET_ADD_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": {
    "subnetKey": "15559246465480000",
    "subnetName": "子网test1",
    "domain": "",
    "delFlag": 0,
    "modifyTime": "20190422.021726.548"
  }
}
export const SUBNET_ADD_OUTPUT = null;

// deleteSubnets(subnetKeyList)
export const SUBNET_DELETE_CLIENT = [15559246465480000]
export const SUBNET_DELETE_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": 26
}
export const SUBNET_DELETE_OUTPUT = null;

// modifySubnet(subnet)
export const SUBNET_MODDIFY_CLIENT = {
  "subnetKey": "15483851078070000",
  "subnetName": "业务子网修改test1",
  "domain": "业务",
  "delFlag": 0,
  "modifyTime": "20190320.180212.254"
}
export const SUBNET_MODDIFY_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": {
    "subnetKey": "15483851078070000",
    "subnetName": "业务子网修改test1",
    "domain": "业务",
    "delFlag": 0,
    "modifyTime": "20190422.022550.789"
  }
}
export const SUBNET_MODDIFY_OUTPUT = null;

// conditionQuerySubnet(conditionSet)
export const SUBNET_QUERY_CLIENT =[{
  "quaryAttribute":"subnetName",
  "compareSymbol":"==",
  "compareValue":"业务子网修改test1"}];
export const SUBNET_QUERY_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": [
    {
      "subnetKey": "15483851078070000",
      "subnetName": "业务子网修改test1",
      "domain": "业务",
      "delFlag": 0,
      "modifyTime": "20190422.022550.789"
    }
  ]
};
export const SUBNET_QUERY_OUTPUT = { '15483851078070000':
    { subnetKey: '15483851078070000',
      subnetName: '业务子网修改test1',
      domain: '业务',
      delFlag: 0,
      modifyTime: '20190422.022550.789' } };

// downloadSubnet(conditionSet)
export const SUBNET_DOWNLOAD_CLIENT = null;
export const SUBNET_DOWNLOAD_INPUT = null;
export const SUBNET_DOWNLOAD_OUTPUT = null;

// uploadSubnet(fileFormData)
export const SUBNET_UPLOAD_CLIENT = null;
export const SUBNET_UPLOAD_INPUT = null;
export const SUBNET_UPLOAD_OUTPUT = null;
