export default {
  common: {
    refresh: '刷新',
    startTime: '起始时间',
    endTime: '结束时间',
    viewTaskDetail: '查看任务详情',
    viewHistoryData: '查看历史性能数据',
    viewIndexTemplateDetail: '查看指标模板',
    clickSelect: '点击选择',
    start: '启用',
    stop: '停用',
    inUse: '在用',
    outUse: '停用',
    restart: '重启',
    tip: '提示',
    ok: '确认',
    cancel: '取消',
    reset: '重置',
    clear: '清除',
    importBtn: '导入',
    exportBtn: '导出',
    createBtn: '创建',
    updateBtn: '修改',
    oneKeyUpload: '一键上传',
    deleteBtn: '删除',
    compareBtn: '比较',
    restartBtn: '重启',
    recoveryBtn: '恢复',
    backupBtn: '备份',
    copyBtn: '复制',
    queryBtn: '查询',
    selectFileBtn: '选择文件',
    placeholder: '请输入内容',
    placeholder1: '请输入',
    placeholderSelect: '请选择活动区域',
    pleaseSelect: '请选择',
    doNotEdit: '不可编辑',
    selectOption: '请选择',
    look: '查看',
    device: '网元',
    cabinet: '机架',
    importMessage: '只能上传excel文件，且不超过5MB',
    importConfFile: '只能上传conf文件，且不超过5MB',
    importBinFile: '只能上传Bin文件!',
    timeFormat: 'yyyy-MM-dd HH:mm:ss.SSS',
    noData: '暂无数据',
    saveBtn: '保存',
    findBtn: '发现',
    operation: '操作',
    add: '添加',
    delete: '删除',
    view: '查看详情',
    filterBtn: '过滤'
  },
  login: {
    login: '登录',
    register: '注册',
    account: '用户名',
    password: '密码',
    showPass: '显示密码',
    forgetPass: '忘记密码？',
    modifyPass: '修改密码',
    oldPass: '旧密码',
    newPass: '新密码',
    checkPass: '重复密码',
    inputAccount: '请输入用户名',
    inputPass: '请输入密码',
    inputOldPass: '请输入旧密码',
    inputNewPass: '请输入新密码',
    inputCheckPass: '请再次输入密码',
    errorCheckPass: '两次输入密码不一致!',
    loginSuccess: '登录成功！',
    registerSuccess: '注册成功！',
    changePassMessage: '确认修改密码吗？',
    tip: '提示',
    changeSuccess: '修改成功',
    cancel: '已取消！',
    authentication: '用户验证'
  },
  TheLayoutHeader: {
    lock: '锁定',
    unlock: '解锁',
    logout: '注销',
    year: '年',
    month: '月',
    day: '日',
    topologyShow: '拓扑图',
    serviceStatusUpdate: '业务状态更新',
    alarm: '告警',
    resourceManagement: '资源管理',
    elementManagement: '网元管理',
    BookManagement: '网元台账管理',
    elementDiscoveryTemplateManagement: '网元发现模板管理',
    elementDiscoveryManagement: '网元发现',

    configurationManagement: '配置管理',
    basicConfigurationManagement: '服务器配置',
    subnetConfigurationManagement: '子网配置',
    locationConfigurationManagement: '机房配置',
    cabinetConfigurationManagement: '机架配置',
    deviceCreatPort: '接入业务配置',
    blackAndWhiteListConfiguration: '黑白名单配置',

    topologyManagement: '网元管理',
    deviceConfigurationManagement: '网元配置',
    linkConfigurationManagement: '链路配置',
    manualStartDeviceConfiguration: '网元配置文件管理',
    tradDeviceManagement: '设备发现',
    firmWareConfigurationManagement: '固件配置',

    businessManagement: '业务管理',
    ethernetELineServiceConfigurationManagement: 'eline业务配置',
    serviceTemplateConfiguration: '业务模板配置',
    serviceTypeConfigurationManagement: '业务类型配置',
    EveSubnetConfigurationManagement: '业务子网配置',
    CDPProfile: 'QoS配置',
    NetworkPhysicsLinkConfigurationManagement: '网络物理连接配置',
    topologicalDynamicConfiguration: '动态拓扑配置',

    alarmManagement: '告警管理',
    alarmTypeConfiguration: '告警类型配置',
    alarmLevelConfiguration: '告警等级配置',
    alarmFilterConfiguration: '告警过滤管理',
    alarmQuery: '告警查询',
    alarmStatistics: '告警统计',
    eventQuery: '事件查询',
    alarmReports: '告警报表',
    AlarmMangExp: '告警经验维护',

    reportManagement: '报表管理',
    ReportTemplateManagement: '报表模板管理',
    AlarmDistributionStatisticReport: '告警分布统计报表',
    AlarmTrendStatisticReport: '告警趋势统计报表',
    AlarmTopBottomStatisticReport: '告警TOP/BOTTOM N统计报表',
    PerformDistributionStatisticReport: '性能分布统计报表',
    PerformTrendStatisticReport: '性能趋势统计报表',
    PerformTopBottomStatisticReport: '性能TOP/BOTTOM N统计报表',
    ReportTask: '报表任务',
    PeriodReport: '周期报表',
    performanceManagement: '性能管理',
    performanceThreshold: '性能门限',
    IndexTemplate: '指标模板管理',
    CollectTask: '采集任务配置',
    TaskDetail: '任务详情',
    performanceConfiguration: '性能配置',
    performanceQuery: '性能查询',
    TopNPerformanceReport: 'TopN性能查询',
    performanceStatistics: '性能统计',
    performanceReports: '性能报表',
    rtPerformance: '实时性能',

    safeManagement: '安全管理',
    systemManagement: '系统管理',
    userGroupAuthorityConfiguration: '用户组权限配置',
    userConfiguration: '用户配置',
    loginLogQuery: '登录日志查询',
    optionLogQuery: '操作日志查询',
    modifyUserInfo: '个人信息修改',

    dataSafeGuard: '数据维护',
    monitorHelper: '监控助手',
    databaseMonitor: 'Oracle数据库监控',
    rabbitMQMonitor: 'RabbitMQ监控',
    theOnlineHelpManager: '在线帮助',
    theOnlineHelpPage: '在线帮助',
    aboutInformation: '关于',

    safeDataGuard: '数据安全维护',
    safeDataGuard1: '数据维护',
    snapShot: '快照管理',
    systemConfig: '系统配置',

    controlManagement: '控制管理',
    unlockCertification: '解 锁 认 证'

  },
  TheLayoutSidebar: {
    // subnetRootLabel: '神华运维管理平台',
    subnetRootLabel: '有线承载平台',
    subnetCreate: '子网信息的创建'
  },
  devicePanel: {
    devicePanel: '网元面板图',
    sourcePanel: '资源状态图',
    online: '在线',
    offline: '离线',
    electricalPort: '电口',
    opticalPort: '光口',
    fan: '风扇',
    power: '电源',
    memory: '内存',
    cpu: 'CPU',
    chip: '主板',
    disk: '硬盘',
    other: '其他',
    electricityOnline: '电口在线',
    electricityOffline: '电口离线',
    lightOnline: '光口在线',
    lightOffline: '光口离线',
    lightOnline40G: '40G光口在线',
    lightOffline40G: '40G光口离线',
    refresh: '刷 新',
    restart: '重 启',
    temperature: '温度',
    softwareVersion: '网元版本',
    hardwareVersion: '硬件版本',
    portLuminousPower: '查看端口光功率',
    portName: '端口名称',
    transmittedPower: '发送功率（dBm）',
    receivedPower: '接收功率（dBm）',
    deviceName: '网元名称',
    deviceType: '网元类型',
    deviceModer: '网元型号',
    rate: '频率'
  },
  menu: {
    home: '首页',
    table: '表格',
    form: '表单',
    formBase: '基本表单',
    richText: '富文本编辑',
    chart: '图表',
    error: '错误',
    drag: '拖曳',
    settings: '个人设置',
    modifyPass: '修改密码',
    permissions: '用户权限',
    about: '关于项目'
  },
  header: {
    languageSelect: '选择语言',
    toggleNav: '显示/隐藏菜单',
    modifyPass: '修改密码',
    modifyTheme: '主题设置',
    modifyLanguage: '语言设置',
    logout: '退出登录',
    logoutSuccess: '注销成功！',
    langZh: '简体中文',
    langEn: 'English',
    themeChange: '自定义主题',
    themeSuccess: '换肤成功！'
  },
  charts: {
    line: '折线图',
    bar: '柱状图',
    gauge: '仪表盘'
  },
  drag: {
    boy: '男生',
    girl: '女生'
  },
  permissions: {
    instruction: '模拟设置用户权限页面',
    user: '用户',
    role: '角色',
    page: '页面',
    db: '数据库示例'
  },
  error: {
    'error401': '错误401',
    'error404': '错误404',
    goHome: '返回首页',
    message401: '对不起，您没有访问该页面的权限。',
    message404: '找不到页面，请确认您访问的地址是否正确。'
  },
  aboutInformation: {
    about: '关于',
    softwareName: '软件名称：',
    publicationDate: '发布日期：',
    softwareVersion: '软件版本：',
    copyRight: '版权所有：',
    allRight: 'Copyright ©crsc.com.cn All Right Reserved',
    name: '有线承载平台网管系统',
    data: '2019-05-27',
    version: 'V1.0.0'
  },
  else: {
    learn: '1. 实现：请参考',
    example: '2. 示例：以下示例源代码见'
  },
  SubnetConfigurationManagement: {

    subnetID: '子网ID',
    subnetName: '子网名称',
    domain: '管辖区域',

    createSubnetInfo: '子网信息创建',
    updateSubnetInfo: '子网信息修改',
    copySubnetInfo: '子网信息复制',
    importSubnetData: '子网数据导入',

    nodelete: '该子网存在网元不允许删除'
  },
  LinkConfigurationManagement: {
    linkId: '链路ID',
    linkName: '链路名称',
    startDeviceName: '起点网元',
    endDeviceName: '终点网元',
    startDevicePort: '起点网元端口',
    endDevicePort: '终点网元端口',
    startGroupID: '起点聚合链路分组号',
    endGroupID: '终点聚合链路分组号',
    linkStatus: '链路状态',
    nodeName: '网元名称',
    startNodeName: '起始网元名称',
    endNodeName: '终点网元名称',

    inUsing: '在用',
    unplaned: '未规划',
    logicalBreak: '逻辑断点',

    selectStartDevicePlaceholder: '请选择起点网元',
    selectEndDevicePlaceholder: '请选择终点网元',

    createLinkInfo: '链路信息创建',
    updateLinkInfo: '链路信息修改',
    copyLinkInfo: '链路信息复制',
    importLinkData: '链路数据导入',

    startPort: '起点网元端口号大于实际端口',
    endPort: '终点网元端口号大于实际端口'
  },

  TopologicalGraphShow: {
    // 顶部工具栏
    returnGlobal: '返回全局',
    addDevice: '添加网元',
    addLink: '添加链路',
    saveTopology: '保存拓扑图',
    syncTopology: '同步',
    saveImage: '导出图片',
    confirm: '确认',
    discoveryTitle: '发现模板',
    discover: '发现',

    // 工具栏右侧告警统计信息
    AllAlarmsNum: '告警总数 ',
    CriticalAlarmsNum: '紧急 ',
    MajorAlarmsNum: '严重 ',
    MinorAlarmsNum: '警告 '
  },
  DrawTopologyComponent: {
    // 左侧面工具栏
    translate: '平移',
    areaSelection: '区域选择',
    fullScreen: '全屏',
    trafficMonitoring: '流量监控'
  },
  AlarmDisplay: {
    // 告警栏table
    measure: '处理措施',
    unConfirmAlarmInfo: '告警未确认信息',
    confirmedAlarmInfo: '告警已确认信息',
    clearedAlarmInfo: '告警已清除信息',
    configDifferencesInfo: '配置差异信息',
    showIncidentInfo: '事件信息',
    netWorkElementName: '网元名称',
    netWorkElementType: '网元类型',
    deviceModel: '网元型号',
    subnet: '所属子网',
    differenceType: '差异类型',
    differenceDetails: '差异详情',
    operation: '操作',
    runFileDifference: '运行配置文件差异',
    backupFileDifference: '备份配置文件差异',
    checkDeviceConfig: '查看网元配置文件',
    checkDeviceRunConfig: '查看网元运行配置文件',
    checkFTPConfig: '查看FTP配置文件',
    checkBackupConfig: '查看网元备份配置文件',
    deviceType: '设备',
    linkType: '链路',
    portName: '端口名称',
    resourceName: '资源名称',
    alarmLevel: '告警等级',
    warn: '警告',
    severity: '严重',
    exigency: '紧急',
    cause: '告警原因',
    firstTime: '发生时间',
    alarmStatus: '告警状态',
    unConfirm: '未确认',
    confirmed: '已确认',
    cleared: '已清除',
    recovered: '已恢复',
    confirmUser: '确认人',
    clearUser: '清除人',
    CompareSaveRestart: '（比较/保存/重启）',
    CompareBackupResume: '（比较/备份/恢复）',
    linkName: '链路名称',
    startDeviceName: '起点设备',
    endDeviceName: '终点设备',
    startDevicePort: '设备端口',
    endDevicePort: '设备端口',
    SWITCH: '交换机',
    SERVER: '服务器',
    ROUTERSWITCH: '路由交换机',
    ROUTER: '路由器',
    OTHER: '其他',
    FIREWALL: '防火墙',
    STORAGE: '存储设备'
  },

  ServerShowInHome: {
    controller: '控制器',
    otherServer: '服务器',
    belongDevice: '下属设备数'
  },
  DeviceCommands: {
    // 设备右键
    deleteDeviceInfo: '删除网元',
    updateDeviceInfo: '修改网元',
    copyDeviceInfo: '复制网元',
    enableDeviceValue: '启用网元',
    disableDeviceValue: '停用网元',
    activateDevice: '网元加入规划',
    showDeviceInfo: '查看网元详情',
    showDevicePanel: '查看网元面板图',
    shouSourcePanel: '查看资源状态图',
    loadDeviceLog: '下载网元日志',
    rtPerformance: '实时性能',
    showSwitchConfiguration: '查看交换机配置',
    ipmiConfiguration: 'IPMI配置',
    deviceAddToSubnet: '网元加入子网',
    deviceRemoveFromSubnet: '网元移出子网',
    activateLinkForDevice: '链路加入规划',
    updateBookInfo: '网元台账信息修改',

    watchPortPower: '查看端口光功率',

    // 链路右键
    deleteLinkInfo: '删除链路',
    updateLinkInfo: '修改链路',
    activateLink: '链路加入规划'
  },
  ElementDiscoveryCommands: {
    // 网元发现的设备右键
    selectDevice: '选择设备',
    deselectDevice: '取消选择',

    // 网元发现的链路右键
    selectLink: '选择链路',
    deselectLink: '取消选择'
  },
  IndexTemplate: {
    indexTemplateName: '模板名称',
    description: '描述',
    deviceName: '网元名称',
    deviceType: '网元类型',
    deviceModel: '网元型号',
    index: '采集指标'
  },
  EdTemplateCommands: {
    createTemplate: '网元发现模板创建',
    copyTemplate: '网元发现模板复制',
    deleteTemplate: '网元发现模板删除',
    modifyTemplate: '网元发现模板修改'
  },
  IndexTemplateCommands: {
    createIndexTemplate: '指标模板创建',
    copyIndexTemplate: '指标模板复制',
    deleteIndexTemplate: '指标模板删除',
    updateIndexTemplate: '指标模板修改'
  },
  CollectTaskCommands: {
    createCollectTask: '采集任务创建',
    copyCollectTask: '采集任务复制',
    updateCollectTask: '采集任务修改',
    deleteCollectTask: '采集任务删除',
    viewCollectTask: '采集任务查看'
  },
  CollectTask: {
    chooseDevice: '网元选择',
    useImmediate: '立即启用',
    useTimer: '定时启用',
    collectPeriod: '采集周期',
    taskName: '任务名称',
    subnet: '所属子网',
    description: '描述信息',
    indexTemplate: '指标模板',
    monitorPeriod: '监测周期',
    monitorPeriod1: '监测周期(min)',
    monitorType: '监测类型',
    monitorObject: '监测对象',
    startTime: '开始时间',
    endTime: '结束时间',
    taskStatus: '任务状态',
    useTime: '启用时间'
  },
  ReportTask: {
    reportTaskName: '任务名称',
    period: '报表周期',
    reportType: '报表类型',
    TopNBottomN: 'TopN/BottomN',
    reportTemplateName: '报表模板',
    taskStatus: '状态',
    yearReport: '年报',
    halfYearReport: '半年报',
    quarterReport: '季度报',
    monthReport: '月报',
    weekReport: '周报',
    dayReport: '日报',
    top: 'TOP',
    bottom: 'BOTTOM',
    createReportTask: '报表任务创建',
    copyReportTask: '报表任务复制',
    updateReportTask: '报表任务修改',
    deleteReportTask: '报表任务删除',
    viewPeriodReport: '查看周期报表'
  },
  PeriodReport: {
    download: '下载',
    templateName: '报表名称',
    taskName: '任务名称',
    period: '周期',
    reportName: '报表名称',
    genTime: '报表生成时间'
  },
  AlarmMangExp: {
    ImportAlarmMangExp: '导入告警经验',
    createAlarmMangExp: '告警经验创建',
    copyAlarmMangExp: '告警经验复制',
    deleteAlarmMangExp: '告警经验删除',
    updateAlarmMangExp: '告警经验修改',
    deviceType: '网元类型',
    deviceModel: '网元型号',
    alarmCause: '告警原因',
    mangExp: '处理措施',
    modifyUser: '处理人',
    modifyTime: '修改时间'
  },
  ServerCommands: {
    // 服务器右键
    deleteServer: '删除服务器',
    updateServer: '修改服务器',
    showDemoList: '查看管辖设备列表',
    showDemoArea: '标注管辖设备'
  },
  SubnetCommands: {
    //   i18n.tc('SubnetCommands.updateDeviceInfo')
    createSubnet: '创建子网',
    deleteSubnet: '删除子网',
    modifySubnet: '修改子网'
  },
  DeviceAddToSubnetDialog: {
    // 设备加入子网对话框
    deviceAddSubnet: '网元加入子网',
    subnetName: '子网名称',
    managementArea: '管辖区域'
  },
  DeviceDetails: {
    // 设备详情对话框
    deviceDetailInfo: '描述信息',
    startTime: '开站时间',
    displayName: '网元名称',
    deviceName: '网元名称',
    deviceTypeKey: '网元类型',
    traditional: '传统',
    SDN: 'SDN',
    deviceModel: '网元型号',
    belongedLocation: '所属机房',
    belongedCabinet: '所属机架',
    belongedSubnet: '所属子网',
    belongedRailwayAdmin: '所属路局',
    belongedRailwayDivision: '所属路段',
    deviceIP: '网元地址',
    deviceStatus: '网元状态',
    inWork: '在用',
    noWork: '停用',
    notPlanning: '未规划',
    deviceVersion: '网元版本',
    station: '所属车站',
    IPAddress: '管理IP地址',
    bussIPAddress: '业务IP地址',
    MACAddress: 'MAC地址',
    numberSerial: '序列号',
    SupportProtocolType: '支持协议类型',
    manageType: '管理协议',
    bussManageType: '业务协议',
    brand: '品牌',
    brandPhone: '品牌联系人',
    manager: '责任人',
    managerPhone: '联系电话',
    manufacturerLiaison: '厂商联系人',
    manufacturerPhone: '厂商联系电话'
  },
  DeviceRemoveFromSubnetDialog: {
    doYouConfirmDeviceRemoveFromSubnet: '您是否确认将网元移出子网'
  },
  SDNCDeviceDialog: {
    // 查看管辖设备列表对话框
    controllerManagementDeviceList: '控制器管辖设备列表',
    deviceName: '设备名称',
    UUID: 'UUID',
    deviceIP: '设备地址'
  },
  ElineRouteView: {
    routeView: '路由视图',
    plannedBandWidth: '规划带宽：',
    workPath: '主路径',
    protectedPath: '备选路径',
    active: '激活',
    inActive: '未激活'
  },

  DeviceCreatPort: {

    deviceKeyForQuert: '所属网元',
    portNameForQuert: '端口名称',
    deviceType: '网元类型',

    deviceKeyForTable: '所属网元',
    portNameForTable: '端口名称',
    purposeForTable: '接入业务',

    deviceKey: '*所属网元',
    portName: '*端口名称',
    purpose: '*接入业务',

    createPortInfo: '接入业务信息创建 ',
    updatePortInfo: '接入业务信息修改',
    copyPortInfo: '接入业务信息复制',
    importSPortData: '接入业务数据导入'
  },
  BooKManagement: {
    bookInfo: '台账信息',
    telephone: '联系电话',
    chargePerson: '责任人',
    brand: '品牌',
    factory: '厂家',
    factoryPerson: '厂家联系人',
    factoryTelephone: '厂家联系电话',
    clickShow: '点击查看台账信息',
    clickHide: '点击隐藏台账信息'
  },
  DeviceConfigurationManagement: {
    versionInfo: '版本信息',
    configProtocol: '管理协议',
    bussProtocol: '业务协议',
    inUse: '在用',
    traditional: '传统',
    notInUse: '停用',
    unplanned: '未规划',
    ipInterval: 'IP网段',
    findWay: '发现方式',
    linkFind: '链路发现',
    snmpParams: 'SNMP参数',
    chooseSubnet: '选择子网',
    linkDiscoveryProtocol: 'LLDP链路发现协议',
    foundDownDevice: '发现下挂设备',
    SNMP: 'SNMP',
    PING: 'SNMP+PING',
    ping: 'PING',
    yes: '是',
    no: '否',
    byStatus: '通过端口UP/DOWN判断在线状态',

    uuid: '序列号',
    nodeName: '网元名称',
    nodeType: '网元类型',
    nodeModel: '网元型号',
    locationKey: '所属机房',
    stationKey: '所属车站',
    stationSite: '所属站点',
    cabinetKey: '所属机架',
    railwayAdmin: '所属路局',
    railwayDivision: '所属路段',
    subnetKey: '所属子网',
    ipAddress: '网元地址',
    ipType: 'IP类型',
    bussIP: '业务IP',
    manageIP: '管理IP',
    manageIpAddress: '管理IP地址',
    bussIpAddress: '业务IP地址',
    snmpVersion: 'SNMP版本',
    snmpPort: 'Get端口号',
    trapPort: 'Trap端口号',
    nodeStatus: '网元状态',
    nodeVersion: '网元版本',
    startTime: '开站时间',
    downloadLog: '下载日志',
    GetDevieceInfo: '获取信息',
    createDeviceInfo: '网元信息创建 ',
    updateDeviceInfo: '网元信息修改',
    copyDeviceInfo: '网元信息复制',
    importDeviceData: '网元数据导入',
    masterNode: 'Master节点',
    nodeDesc: '描述信息',
    manageType: '管理类型',
    displayName: '网元显示名称',

    profileUpload: '配置文件上传',
    profileUpdate: '配置文件更新',
    profileUpdateTitle: '网元配置文件更新',

    profileCopy: '配置文件复制',
    profileCopyAgain: '配置文件备份',
    updateProfile: '更新',
    view: '查看',
    configurationHistory: '网元历史配置文件',
    restore: '恢复',
    profileHistory: '历史配置文件',
    modifyTime: '时间',
    brand: '品牌',
    manager: '责任人',
    phone: '联系电话',
    brandManager: '厂商联系人',
    brandPhone: '厂商联系电话',
    editPerson: '编辑人',
    editTime: '编辑时间',

    deviceStatus: '网元状态'
  },
  ProfileManagement: {
    upload: '上传',
    localUpload: '本地上传',
    oneKeyUpload: '一键上传',

    LocalUpload: '本地',
    DeviceUpload: '网元',
    Upload: '上传',
    Download: '下载',

    equipmentToUpload: '网元配置文件上传',
    downloadToDevice: '网元配置文件下载到网元',
    downloadToDevice1: '配置网元',
    downloadToLocal: '网元配置文件下载到本地',
    downloadToLocal1: '配置文件下载',
    viewConfigFile: '查看配置文件',
    delete: '删除',
    browse: '浏览',
    download: '下载',
    effectiveImmediately: '立即生效',
    effectiveImmediately1: '立即生效：',
    EffectiveImmediatelyRebootNow: '立即生效，将会立即重启网元',
    Attention: '提示',
    NotEffectiveImmediatelyNotRebootNow: '暂不生效，将会在下一次重启网元时生效',
    configFileName: '配置文件名称',
    timestamp: '上传时间',
    codeByMd5: '编码内容',
    path: '存储路径',
    description: '描述信息',
    source: '来源',

    deviceName: '网元名称',
    currentProfile: '当前配置文件',
    currentFirmWarefile: '当前固件名称',
    updateConf: '配置文件信息的修改'

  },
  CabinetConfigurationManagement: {
    SelectLocation: '请选择机房',
    CabinetName: '机架名称',
    CabinetType: '机架类型',
    BelongLocation: '所属机房',
    CabinetNameQuery: '机架名称：',
    CabinetTypeQuery: '机架类型：',
    BelongLocationQuery: '所属机房：',

    CabinetNameColumn: '机架名称',
    CabinetTypeColumn: '机架类型',
    BelongLocationColumn: '所属机房',
    Height: '高度',
    Deep: '深度',
    Width: '宽度',
    FrameCount: '框位数',
    Voltage: '电压',

    dialogCabinetCreate: '机架信息创建',
    dialogCabinetCopy: '机架信息复制',
    dialogCabinetUpdate: '机架信息修改',
    dialogCabinetImport: '机架数据导入',
    dialogCabinetName: '*机架名称：',
    dialogCabinetType: '机架类型：',
    dialogBelongLocation: '*所属机房：',
    dialogHeight: '高度：',
    dialogDeep: '深度：',
    dialogWidth: '宽度：',
    dialogFrameCount: '框位数：',
    dialogVoltage: '电压：',

    nodelete: '机架存在网元不允许删除'
  },

  ServiceTypeConfigurationManagement: {
    ServiceTypeName: '业务类型名称',
    ServiceTypeID: '业务类型编号',
    creationOfServiceTypeInformation: '业务类型信息的创建',
    modificationOfServiceTypeInformation: '业务类型信息的修改'

  },

  EveModelConfigurationManagement: {
    // 表头
    ElineTemplateName: '模板名称',
    serviceType: '业务类型',
    protectionMode: '保护模式',
    reversion: '是否回滚',
    wtr: '回滚等待时间',
    oamInfo: 'oam选项',
    ccmInterval: 'ccm时间间隔',
    encapsulationType: '封装类别',
    l2AccessType: 'Vlan协议',
    vlanAccess: 'Vlan设置方式',
    vlanRangeStart: 'Vlan范围起点',
    vlanRangeEnd: 'Vlan范围终点',
    vlanSet: 'Vlan集合',
    cosId: 'cos-id',
    limitedBandwidth: '最高带宽',
    qosProfile: 'qos策略名称',
    defaultFlag: '是否为默认',

    // 对话框名称
    BasicInformation: '基本信息',
    vlanInformation: 'Vlan信息',
    deviceinformation: '设备信息',
    UpdateElineTemplate: '业务模板修改',
    CreateElineTemplate: '业务模板创建',
    CopyElineTemplate: '业务模板复制',
    elineTemplateChoose: '业务模板选择',

    // 对话框
    ElineTemplateName1: '模板名称：',
    serviceType1: '业务类型：',
    setDefaultTemplate: '设为默认模板',
    protectionMode1: '保护模式：',
    reversion1: '是否回滚：',
    wtr1: '回滚等待时间：',
    oamInfo1: 'oam选项：',
    ccmInterval1: 'ccm时间间隔：',
    encapsulationType1: '封装类别：',
    l2AccessType1: 'Vlan协议：',
    vlanAccess1: 'Vlan设置方式：',
    vlanRange: 'Vlan范围：',
    vlanRangeEnd1: 'vlan范围终点：',
    vlanSet1: 'Vlan集合：',
    cosId1: 'cos-id：',
    limitedBandwidth1: '最高带宽：',
    qosProfile1: 'qos策略名称：',
    choose: '选择',

    // 下拉框
    default: '默认',
    nonDefault: '非默认',
    is: '是',
    no: '否',

    // tip提示
    startTimeThanEndTime: '开始时间不能大于结束时间！',
    inputInteger: '当前输入不合法，请输入正整数',
    inputNoValid: '当前输入有误',
    vpnIdEmpty: '业务ID不能为空',
    serviceNameEmpty: '业务模板名称不能为空',
    serviceTypeIDEmpty: '业务类型不能为空',
    reversionEmpty: '是否回滚不能为空',
    wtrEmpty: '回滚等待时间不能为空',
    protectionModeEmpty: '保护模式不能为空',
    oamInfoEmpty: 'oam选项不能为空',
    ccmIntervalEmpty: 'ccm间隔时间不能为空',
    encapsulationTypeEmpty: '封装类别不能为空',
    l2AccessTypeEmpty: 'Vlan协议不能为空',
    vlanAccessEmpty: 'Vlan设置方式不能为空',
    vlanRangeStartEmpty: 'Vlan范围起点不能为空',
    vlanRangeEndEmpty: 'Vlan范围终点不能为空',
    vlanSetEmpty: 'Vlan集合不能为空',
    qosProfileEmpty: 'qos策略名称不能为空',
    cosIdEmpty: 'cos-Id不能为空',
    limitedBandwidthEmpty: '最高带宽不能为空',
    startDeviceIdEmpty: '业务起点设备不能为空',
    startDevicePortEmpty: '业务起点设备端口不能为空',
    end1DeviceIdEmpty: '业务终点设备不能为空',
    end1DevicePortEmpty: '业务终点设备端口不能为空',
    end2DeviceIdEmpty: '第二个业务终点设备不能为空',
    end2DevicePortEmpty: '第二个业务终点设备端口不能为空',
    startTimeEmpty: '开站时间不能为空',
    endAndStartDeviceIdEmpty: '业务起点设备和终点设备不能相同',
    end2AndStartDeviceIdEmpty: '业务起点设备和第二个业务终点设备不能相同',
    end2AndendDeviceIdEmpty: '业务终点设备和第二个业务终点设备不能相同',
    // 业务模板选择
    inputTemplateName: '请输入业务模板名称',
    chooseOneTemplate: '请选择一条业务模板！'
  },

  EthernetELineServiceConfigurationManagement: {
    // 表头
    vpnId: '业务ID',
    serviceName: '业务名称',
    serviceTypeID: '业务类型',
    serviceSubnetID: '业务子网',
    protectionMode: '保护模式',
    reversion: '是否回滚',
    wtr: '回滚等待时间',
    oamInfo: 'oam选项',
    ccmInterval: 'ccm时间间隔',
    encapsulationType: '封装类别',
    l2AccessType: 'Vlan协议',
    startDeviceId: '业务起点设备',
    startDevicePort: '业务起点设备端口',
    end1DeviceId: '业务终点设备',
    end1DevicePort: '业务终点设备端口',
    isDualHomed: '双归模式',
    end2DeviceId: '第二个业务终点设备',
    end2DevicePort: '第二个业务终点设备端口',
    vlanAccess: 'Vlan设置方式',
    vlanRangeStart: 'Vlan范围起点',
    vlanRangeEnd: 'Vlan范围终点',
    vlanRange1: 'Vlan范围',
    vlanSet: 'Vlan集合',
    cosId: 'cos-id',
    limitedBandwidth: '最高带宽',
    qosProfile: 'qos策略名称',
    startTime: '开站时间',
    elineStatus: '业务状态',

    // 对话框题目
    BasicInformation: '基本信息',
    vlanInformation: 'Vlan信息',
    deviceinformation: '设备信息',
    creatE_Line: '创建以太网E-Line业务',
    copyE_Line: '复制以太网E-Line业务',
    uppdateE_Line: '修改以太网E-Line业务',

    // 对话框按钮
    routeView: '路由视图',
    view: '点击查看',
    chooseTemplate: '选择模板创建：',
    chooseStartTime: '选择开始时间',
    clickChoose: '点击选择',

    // 对话框
    vpnId1: '业务ID：',
    serviceName1: '业务名称：',
    serviceTypeID1: '业务类型：',
    serviceSubnetID1: '业务子网：',
    protectionMode1: '保护模式：',
    reversion1: '是否回滚：',
    wtr1: '回滚等待时间：',
    oamInfo1: 'oam选项：',
    ccmInterval1: 'ccm时间间隔：',
    encapsulationType1: '封装类别：',
    l2AccessType1: 'Vlan协议：',
    startDeviceId1: '业务起点设备：',
    startDevicePort1: '业务起点设备端口：',
    end1DeviceId1: '业务终点设备：',
    end1DevicePort1: '业务终点设备端口：',
    isDualHomed1: '双归模式：',
    end2DeviceId1: '第二个业务终点设备：',
    end2DevicePort1: '第二个业务终点设备端口：',
    vlanAccess1: 'Vlan设置方式：',
    vlanRange: 'Vlan范围：',
    vlanRangeEnd1: 'Vlan范围终点：',
    vlanSet1: 'Vlan集合：',
    cosId1: 'cos-id：',
    limitedBandwidth1: '最高带宽：',
    qosProfile1: 'qos策略名称：',
    startTime1: '开站时间：',
    elineStatus1: '业务状态：',

    /** -----下拉菜单------ */
    default: '默认',
    nonDefault: '非默认',
    is: '是',
    no: '否',
    // 保护模式
    unprotected: '非保护模式',
    one2one: '1:1保护模式',
    lspone2one: 'LSP 1:1保护模式',
    // 封装类别
    ethernetType: '端口模式',
    vlanType: '端口+Vlan模式',

    /** -----tip提示------ */
    vlanRangeStartGreaterEnd: 'Vlan范围起点大于终点',
    vlanRangeStartSmallerEnd: 'Vlan范围终点小于起点',
    startTimeThanEndTime: '开始时间不能大于结束时间！',
    inputInteger: '当前输入不合法，请输入正整数',
    inputNoValid: '当前输入有误',
    vpnIdEmpty: '业务ID不能为空',
    serviceNameEmpty: '业务名称不能为空',
    serviceTypeIDEmpty: '业务类型不能为空',
    reversionEmpty: '是否回滚不能为空',
    wtrEmpty: '回滚等待时间不能为空',
    protectionModeEmpty: '保护模式不能为空',
    oamInfoEmpty: 'oam选项不能为空',
    ccmIntervalEmpty: 'ccm间隔时间不能为空',
    encapsulationTypeEmpty: '封装类别不能为空',
    l2AccessTypeEmpty: 'Vlan协议不能为空',
    vlanAccessEmpty: 'Vlan设置方式不能为空',
    vlanRangeStartEmpty: 'Vlan范围起点不能为空',
    vlanRangeEndEmpty: 'Vlan范围终点不能为空',
    vlanSetEmpty: 'Vlan集合不能为空',
    qosProfileEmpty: 'qos策略名称不能为空',
    cosIdEmpty: 'cos-Id不能为空',
    limitedBandwidthEmpty: '最高带宽不能为空',
    startDeviceIdEmpty: '业务起点设备不能为空',
    startDevicePortEmpty: '业务起点设备端口不能为空',
    end1DeviceIdEmpty: '业务终点设备不能为空',
    end1DevicePortEmpty: '业务终点设备端口不能为空',
    end2DeviceIdEmpty: '第二个业务终点设备不能为空',
    end2DevicePortEmpty: '第二个业务终点设备端口不能为空',
    startTimeEmpty: '开站时间不能为空',
    endAndStartDeviceIdEmpty: '业务起点设备和终点设备不能相同',
    end2AndStartDeviceIdEmpty: '业务起点设备和第二个业务终点设备不能相同',
    end2AndendDeviceIdEmpty: '业务终点设备和第二个业务终点设备不能相同',
    inputNumber: '(填写数字)',
    minute: 'mins',
    inputNumber1: '(填写数字，用逗号隔开)',
    mbit: 'MBit/s',
    vpnIdCheck: '当前输入不能包含特殊字符'
  },

  CDPProfile: {
    profileName: 'CDPprofile名称',
    schedulingType: '调度算法',
    bandwidth: '带宽(Mbps)',
    schedulingType0: '调度算法0',
    bandwidth0: '带宽0',
    schedulingType1: '调度算法1',
    bandwidth1: '带宽1',
    schedulingType2: '调度算法2',
    bandwidth2: '带宽2',
    schedulingType3: '调度算法3',
    bandwidth3: '带宽3',
    schedulingType4: '调度算法4',
    bandwidth4: '带宽4',
    schedulingType5: '调度算法5',
    bandwidth5: '带宽5',
    schedulingType6: '调度算法6',
    bandwidth6: '带宽6',
    schedulingType7: '调度算法7',
    bandwidth7: '带宽7',
    createQos: '创建QoS策略配置',
    copyQos: '复制QoS策略配置',
    updateQos: '修改QoS策略配置'

  },

  AlarmQuery: {
    beginTimestamp: '开始时间：',
    endTimestamp: '结束时间：',
    DeviceType: '网元类型：',
    DeviceType1: '网元型号：',
    DeviceName: '网元名称：',
    AlarmCause: '告警原因：',
    AlarmLevel: '告警等级：',
    AlarmStatus: '告警状态：',
    isLink: '告警类型',
    differentType: '配置文件类型',
    nodeAlarm: '网元告警',
    linkAlarm: '链路告警',
    businessAlarm: '业务系统',
    linkName: '链路名称',

    // 表格表头
    No: '序号',
    deviceName: '网元名称',
    deviceType: '网元类型',
    deviceType1: '网元型号',
    portName: '资源名称',
    alarmCode: '告警码',
    cause: '告警原因',
    alarmLevel: '告警等级',
    alarmStatus: '告警状态',
    firstTime: '首次发生时间',
    recoverTime: '告警恢复时间',
    curTime: '最近发生时间',
    confirmTime: '告警确认时间',
    confirmUser: '确认人',
    deleteUser: '删除人',
    deleteTime: '告警删除时间',
    clearUser: '清除人',
    clearTime: '告警清除时间',
    note: '备注',

    chooseStartTime: '选择开始时间',
    chooseEndTime: '选择结束时间',
    // 下拉菜单
    device: '设备',
    server: '服务器',
    MinorAlarm: '警告',
    MajorAlarm: '严重',
    CriticalAlarm: '紧急',
    Notconfirmed: '告警',
    Confirmed: '已确认',
    Cleared: '已清除',
    Restored: '已恢复',
    Delete: '已删除',
    SNDCServer: 'SDNC服务器',
    CentralDatabaseServer: '中心数据库服务器',
    AuthenticationServer: '认证服务器',
    NMSServer: 'NMS服务器',

    alarmName: '告警名称',

    // 提示
    endTimeEmpty: '结束时间不能为空!',
    view: '查看'

  },

  AlarmStatistics: {
    typeChange: '类型切换：',
    line: '折线图',
    bar: '柱状图',
    pie: '饼图',
    top: 'TOP',
    bottom: 'BOTTOM',
    staticDimension: '统计维度：',
    staticInterval: '统计间隔：',
    X: 'X 轴系列：',
    Y: 'Y 轴系列：',
    staticY: 'Y轴系列',
    moreCondition: '更多条件',
    importTemplate: '导入模板',
    beginTimestamp: '开始时间：',
    endTimestamp: '结束时间：',
    valuePeriod: '统计周期：',
    valueAspect: '统计维度：',
    DeviceType: '网元类型：',
    DeviceType1: '网元型号：',
    DeviceName: '网元名称：',
    DeviceBrand: '品牌：',
    brand: '品牌',
    AlarmCause: '告警原因：',
    AlarmLevel: '告警等级：',
    AlarmStatus: '告警状态：',

    TopN: 'TopN报表',

    No: '序号',
    alarmTime: '告警时间',
    alarmCode: '告警码',
    cause: '告警原因',
    alarmLevel: '告警等级',
    alarmStatus: '告警状态',
    firstTime: '首次发生时间',
    recoverTime: '告警恢复时间',
    curTime: '最近发生时间',
    confirmTime: '告警确认时间',
    confirmUser: '确认人',
    clearTime: '告警清除时间',

    chooseStartTime: '选择开始时间',
    chooseEndTime: '选择结束时间',
    statistic: '统计',
    exportStatisticResult: '导出统计结果',
    exportStatisticGraph1: '导出统计图',
    exportStatisticGraph2: '导出柱状图',
    exportStatisticGraph3: '导出饼状图',
    statisticResult: '统计结果',
    statisticGraph: '统计图',
    statisticGraph1: '柱状图',
    statisticGraph2: '饼状图',

    // 下拉菜单
    device: '设备',
    server: '服务器',
    MinorAlarm: '警告',
    MajorAlarm: '严重',
    CriticalAlarm: '紧急',
    Notconfirmed: '告警',
    Confirmed: '已确认',
    Cleared: '已清除',
    Restored: '已恢复',
    Delete: '已删除',
    SNDCServer: 'SDNC服务器',
    CentralDatabaseServer: '中心数据库服务器',
    AuthenticationServer: '认证服务器',
    NMSServer: 'NMS服务器',
    // 统计维度
    deviceType: '网元类型',
    deviceModel: '网元型号',
    deviceName: '网元名称',
    deviceBrand: '品牌',
    deviceKey: '网元名称',
    alarmType: '告警类型',
    alarmLevel1: '告警等级',
    alarmStatus1: '告警状态',
    serverKey: '服务器名称',
    serverType: '服务器类型',
    server_deviceKey: '设备和服务器名称',
    server_deviceType: '设备和服务器型号',
    // 统计周期
    minute: '分钟',
    TenMinute: '10分钟',
    tenMinute: '10分钟',
    hour: '小时',
    day: '日',
    week: '周',
    month: '月',
    // 提示
    startTimeEmpty: '开始时间不能为空!',
    endTimeEmpty: '结束时间不能为空!',
    startGreaterEnd: '开始时间不能大于结束时间!',
    endSmallerStart: '结束时间不能小于开始时间!',
    endGreaterNow: '结束时间不能大于当前时间!',

    valueMethod: '统计方式',
    TopNNotNull: '请填写TopN数字',
    TopNNumber: '请输入有效数字',
    tip: '提示',

    Delected: '手动删除',

    alarmCount: '告警次数'
  },

  AlarmFilerManagement: {
    description: '描述信息',
    alarmCause: '告警原因',
    alarmFilerName: '过滤名称',
    alarmCode: '告警编码',
    alarmLevel: '告警等级',
    deviceModel: '网元型号',
    deviceType: '网元类型',
    deviceName: '网元名称',
    serverType: '服务器类型',
    serverName: '服务器名称',
    startFilterTime: '开始时间',
    endFilterTime: '结束时间',

    updateAlarmFilterInfo: '告警过滤条件修改',
    createAlarmFiler: '告警过滤条件创建',
    copyAlarmFiler: '告警过滤条件复制',
    chooseStartTime: '选择开始时间',
    chooseEndTime: '选择结束时间',
    alarmName: '告警名称',

    oneCondition: '至少设置一个告警过滤条件',
    warnFilterName: '告警过滤名称不能为空! ',
    warnstartFilterTime: '开始时间不能大于等于结束时间!',
    warnendFilterTime: '结束时间不能小于等于开始时间!',
    warnTextLengthCheck: '所输文本长度必须控制在20之内!',
    MinorAlarm: '警告',
    MajorAlarm: '严重',
    CriticalAlarm: '紧急',
    SNDCServer: 'SDNC服务器',
    CentralDatabaseServer: '中心数据库服务器',
    AuthenticationServer: '认证服务器',
    NMSServer: 'NMS服务器'

  },

  AlarmConfigManagement: {
    alarmLevel: '告警等级',
    alarmColor: '告警等级颜色',
    alarmVoice: '告警声音',
    save: '保存',

    MinorAlarm: '警告',
    MajorAlarm: '严重',
    CriticalAlarm: '紧急',

    red: '红色',
    yellow: '黄色',
    orange: '橘黄色',

    colorChange: '：颜色改变为',
    voiceChange: '：声音改变为',

    voiceTip: '请上传MP3，WMA，WAV，APE，FLAC，OGG，AAC等音频格式'
  },

  AlarmLevelManagement: {
    alarmCode: '告警码',
    cause: '告警名称',
    description: '描述',
    alarmLevel: '告警等级',

    save: '保存',

    MinorAlarm: '警告',
    MajorAlarm: '严重',
    CriticalAlarm: '紧急',
    resourceType: '资源类型',
    system: '系统',
    port: '端口',
    alarmClass: '告警分类',
    alarm: '告警告警',
    perform: '性能告警'
  },

  BasicConfigurationManagement: {
    serverName: '服务器名称',
    serverType: '服务器类型',
    dialogServerCreate: '服务器信息创建',
    dialogServerCopy: '服务器信息复制',
    dialogServerUpdate: '服务器信息修改',
    snmpVersion: 'SNMP版本',
    snmpPort: 'Get端口号',
    trapPort: 'Trap端口号',
    subnetKey: '所属子网'
  },
  LocationConfigurationManagement: {
    locationId: '机房编号',
    locationName: '机房名称',
    line: '所属线路',
    site: '所属站点',
    km: '公里标',
    longitude: '经度',
    latitude: '纬度',

    dialogLocationCreate: '机房信息创建',
    dialogLocationCopy: '机房信息复制',
    dialogLocationUpdate: '机房信息修改',
    dialogLocationImport: '机房数据导入',
    queryLocationName: '机房名称：',
    dialogLocationId: '*机房编号：',
    dialogLocationName: '*机房名称：',
    dialogLine: '所属线路：',
    dialogSite: '所属站点：',
    dialogKm: '公里标：',
    dialogLongitude: '经度：',
    dialogLatitude: '纬度：',

    nodelete: '该机房存在网元不允许删除'
  },

  EthernetSubnetDialog: {
    inputNumber: '(填写数字，用逗号隔开)',
    ports: '端口',
    serviceSubnetId: '业务子网ID',
    serviceSubnetName: '业务子网名称',
    serviceSubnetTopologyType: '业务子网拓扑类型',
    serviceType: '业务类型',
    addAffiliateDevices: '创建附属设备',
    networkElementName: '网元名称',
    serviceSubnetCreation: '业务子网信息的创建',
    duplicateServiceSubnet: '业务子网信息的复制',
    modificationOfServiceSubnet: '业务子网信息的修改',
    device: '设备',
    view: '查看',
    affiliateDevices: '附属设备列表',
    singlePoint: '单设备型',
    bus: '线型',
    ring: '环型',
    mesh: '网孔型',
    hybrid: '混合结构型'
  },
  QosManagement: {
    createQos: 'Qos配置信息的创建',
    copyQos: 'Qos配置信息的复制',
    CDPProfileName: 'CDPProfile 名称',
    schedulingType: '调度算法',
    bandwidth: '带宽',
    schedulingType0: '调度算法0',
    bandwidth0: '带宽0',
    schedulingType1: '调度算法1',
    bandwidth1: '带宽1',
    schedulingType2: '调度算法2',
    bandwidth2: '带宽2',
    schedulingType3: '调度算法3',
    bandwidth3: '带宽3',
    schedulingType4: '调度算法4',
    bandwidth4: '带宽4',
    schedulingType5: '调度算法5',
    bandwidth5: '带宽5',
    schedulingType6: '调度算法6',
    bandwidth6: '带宽6',
    schedulingType7: '调度算法7',
    bandwidth7: '带宽7'
  },

  NetworkPhysicsLinkConfigurationManagement: {
    NodeNameQuery: '节点名称',
    AccessBusinessQuery: '接入业务',
    DeviceNameQuery: '设备名称',
    NodeName: '节点名称',
    Description: '接入业务',
    DeviceKey: '设备名称',
    Port: '端口',

    nodeName: '节点名称',
    accessBusiness: '接入业务',
    description: '接入业务',
    deviceKey: '设备名称',
    port: '端口',

    SelectDevice: '请选择设备',

    updateNetworkPhysicsLink: '网络物理连接信息修改',

    dialogNetworkPhysicsCreate: '创建网络物理连接',
    dialogNetworkPhysicsImport: '导入网络物理连接数据',
    dialogNetworkPhysicsCopy: '复制网络物理连接数据'
  },

  Performance: {
    deviceType: '网元类型',
    deviceModel: '网元型号',
    deviceName: '网元名称',
    deviceBrand: '品牌',
    performParam: '性能指标',
    startTime: '开始时间',
    endTime: '结束时间',
    startTimePlaceholder: '选择开始时间',
    endTimePlaceholder: '选择结束时间',
    networkElementType: '网元类型',
    networkElementName: '网元名称',
    performanceEvent: '性能指标',
    subnet: '所属子网',
    TopNum: 'TopN数字',
    index: '序号',
    acquisitionTime: '采集时间',
    port: '端口',
    resourceName: '资源名称',
    monitoringPeriod: '监测周期',
    monitoringValue: '监测值',
    device: '设备',
    server: '服务器',
    minorAlarmLowerLimit: '次要告警下限',
    minorAlarmUpperLimit: '次要告警上限',
    majorAlarmLowerLimit: '主要告警下限',
    majorAlarmUpperLimit: '主要告警上限',
    criticalAlarmLowerLimit: '紧急告警下限',
    criticalAlarmUpperLimit: '紧急告警上限',
    enablementOption: '是否启用',
    enable: '启用',
    disable: '停用',
    modifyTitle: '修改性能配置',
    statisticsPeriod: '统计周期',
    statisticalDimension: '统计维度',
    statisticsType: '统计类型',
    count: '统计',
    statisticsResult: '统计结果',
    statisticalGraph1: '折线图',
    statisticalGraph2: '柱状图',
    statisticalGraph3: '饼状图',
    performanceStatisticsResult: '性能统计结果',
    performanceStatisticalGraph: '性能统计统计图',
    tip: '提示',
    tipMassage: '统计数据时间间隔大于3天，是否继续进行统计？',
    statisticsDate: '统计时间',
    maximumValue: '最大值',
    minimumValue: '最小值',
    meanValue: '均值',
    sum: '和',
    devicePort: '网元端口',
    minute: '分钟',
    tenMinute: '10分钟',
    hour: '小时',
    day: '日',
    week: '周',
    month: '月',
    TopN: 'TopN报表',
    unit: '单位',

    // tip
    networkElementNameNotNull: '网元名称不能为空',
    performanceEventNotNull: '性能事件不能为空',

    statisticsMethod: '统计方式',
    valuePeriod: '统计周期',
    valueAspect: '统计维度',
    performValue: '性能数值'
  },
  Security: {
    loginUser: '登录用户',
    loginStatus: '登录结果',
    loginTime: '登录时间',
    loginIP: '登录IP',
    loginSuccess: '登录成功',
    loginFailed: '登录失败',
    logout: '注销登录',
    operationUser: '操作用户',
    operationStatus: '操作结果',
    operationTime: '操作时间',
    operationName: '操作名称',
    operationSuccess: '操作成功',
    operationFailed: '操作失败',
    userName: '用户名',
    userGroup: '用户组',
    userGroupName: '用户组名',
    userGroupDescription: '用户组描述',
    functionAuthority: '功能权限',
    administrativeDomain: '管辖子网',
    fullAuthority: '所有权限',
    editable: '可编辑',
    createUserGroup: '创建用户组',
    select: '手动选择',
    selectAll: '全选',
    modifyUserGroup: '修改用户组',
    resetPassword: '重置密码',
    userStatus: '用户状态',
    userTelephone: '用户电话',
    userAddress: '用户地址',
    unlocked: '未锁定',
    locked: '锁定',
    createUser: '创建用户',
    password: '初始密码',
    telephone: '电话',
    address: '地址',
    lockedOption: '是否锁定',
    modifyUser: '修改用户',
    saveModify: '保存修改',
    modifyPassword: '修改密码'
  },
  ServiceStatusUpdate: {
    clearAlreadyAchieve: '清除已完成任务',
    serviceId: '业务id',
    serviceName: '业务名称',
    serviceStatus: '业务状态'
  },
  PerformanceDataSafeCommands: {
    deletePerformance: '删除性能数据',
    deleteAlarm: '删除告警数据',
    historyPerformanceDelete: '历史性能数据条件删除',
    historyAlarmDelete: '历史告警数据条件删除'
  },
  FirmWareConfiguration: {
    firmWareUpload: '固件上传',
    firmWareDownload: '固件下载',
    firmWareUpdate: '固件更新',
    firmWareDelete: '删除',
    firmWareName: '固件名称',
    timeStamp: '时间',
    firmWareDescription: '固件描述',
    firmWareRecover: '固件回退',

    upload: '选取文件',
    importBinFile: '只能上传Bin文件!',
    deviceType: '设备类型',

    updateDialog: '固件更新列表',
    description: '描述信息',
    selectDeviceType: '请选择设备类型',
    title: '固件回退后不可恢复，请确认！'

  },
  SnapShotManagement: {
    dialogSnapshotCreate: '快照信息创建',
    SnapShotName: '快照名称',
    beginTime: '开始时间',
    endTime: '结束时间',
    timeStamp: '时间戳',
    description: '快照描述',
    backupFile: '备份信息',
    backUpsFirst: '拓扑信息',
    backUpsSecond: '用户信息',
    recover: '回退'
  },
  TopologicalDynamicConfiguration: {
    topologicalUpload: '导入动态拓扑配置信息',
    topologicalDownload: '导出动态拓扑配置信息',
    topologicalDynamicUpload: '导入',
    topologicalDynamicDownload: '导出',
    delete: '删除',
    topologicalName: '动态拓扑名称',
    ServiceType: '业务类型',
    serviceType: '业务类型',
    status: '状态',
    selectServiceType: '请选择业务类型',
    selectStatus: '请选择状态',
    enabled: '启用',
    disabled: '禁用',
    startNodeDevice: '起始节点设备',
    endNodeDevice: '结束节点设备',
    bandwidth: '带宽',
    chooseStatus: '选择状态'
  },

  SystemConfig: {
    import: '导入',
    export: '导出',
    systemConfigDataImport: '系统配置数据导入',
    systemConfigDataExport: '系统配置数据导出',
    importConfigFile: '只能选择.xls文件',
    configType: '配置类型',
    SelectType: '选择文件',
    operation: '操作类型',
    overwrite: '覆盖',
    update: '追加',
    confirm: '确认',
    deviceType: '网元类型',
    deviceTypeCfg: '网元类型配置',
    oidCfg: 'OID 配置',
    resourceTypeCfg: '资源类型配置',
    resourceType: '资源类型',
    performTypeCfg: '性能类型配置',
    performType: '性能类型',
    alarmTypeCfg: '告警类型配置',
    alarmType: '告警类型',
    languageSheet: '语言表'
  },

  RtPerformance: {
    performanceEvents: '性能事件',
    performancePortEvents: '带端口的性能事件',
    devicePort: '网元端口',
    deviceTitle: '打印图片',
    cpu: 'CPU使用率',
    refreshRate: '刷新频率'
  },
  ResourceManagement: {
    templateName: '模板名称',
    ipDomain: 'IP网段',
    subnet: '所属子网',
    station: '所属车站',
    selectSubnet: '选择子网',
    protocolName: '协议名称',
    protocolVersion: '协议版本',
    SNMPProtocol: 'SNMP',
    IPMIProtocol: 'IPMI协议',
    ICMPProtocol: 'ICMP',
    SNMPProtocolVersion: 'SNMP协议版本',
    GETPortName: 'Get端口号',
    TRAPortName: 'Trap端口号',
    SNMPGroupName: 'SNMP团体名',
    selectSnmpVersion: '选择协议版本',
    selectPortName: '选择端口号',
    IPMIUserName: 'IPMI用户名',
    IPMIPassword: 'IPMI密码',
    ipAddress: 'IP地址',
    startIP: '起始IP',
    endIp: '结束IP'
  },
  ReportTemplateManagement: {
    reportTemplateName: '模板名称',
    templateType: '模板类型',
    subnetKey: '所属子网',
    desc: '描述信息',
    statDimension: '统计维度',
    filter: '过滤条件',
    createReportTemplate: '报表模板创建',
    copyReportTemplate: '报表模板复制',
    deleteReportTemplate: '报表模板删除',
    updateReportTemplate: '报表模板修改',
    alarmDistribution: '告警分布',
    alarmTrend: '告警趋势',
    alarmTopBottom: '告警TOP/BOTTOM N',
    performanceDistribution: '性能分布',
    performanceTrend: '性能趋势',
    performanceTopBottom: '性能TOP/BOTTOM N',
    X: 'X轴系列',
    Y: 'Y轴系列',
    warn: '警告',
    serve: '严重',
    urgency: '紧急',
    max: '最大值',
    min: '最小值',
    mean: '均值',
    total: '和',
    staticType: '统计类型',
    eventChoose: '统计维度',
    moreCondition: '更多条件',
    alarmLevel: '告警等级',
    alarmStatus: '告警状态',
    alarmCause: '告警原因',
    deviceType: '网元类型',
    deviceBrand: '品牌',
    deviceModel: '网元型号',
    device: '网元',
    performEvent: '性能指标'
  },
  DiscoverDisplay: {
    // 网元发现table
    discoverElement: '发现网元',
    discoverLink: '发现链路',
    netWorkElementName: '网元名称',
    netWorkElementType: '网元类型',
    netWorkElementModel: '网元型号',
    uuid: 'UUID',
    belongedSubnet: '所属子网',
    ipAddress: 'IP地址',
    description: '描述信息',
    deviceDesc: '网元描述信息',
    linkName: '链路名称',
    startNetworkElement: '起始网元',
    startPort: '起始网元端口',
    endNetworkElement: '终点网元',
    endPort: '终点网元端口',
    operations: '操作'
  },
  // 悬停子网信息
  hoverSubnet: {
    subnetName: '子网名称',
    domain: '管辖区域',
    linkNum: '链路数'
  },
  // 悬停网元信息
  hoverDevice: {
    displayName: '网元名称',
    deviceIP: '管理IP',
    deviceBussIP: '业务IP',
    station: '所属车站',
    deviceType: '网元类型',
    deviceModel: '网元型号',
    deviceVersion: '网元版本',
    startTime: '起始时间',
    linkName: '链路名称',
    startStation: '起点',
    endStation: '终点'
  },
  hoverPort: {
    port: '端口名称',
    fibreOpticalPort: '光口',
    state: '状态',
    model: '类型',
    MACAddress: 'MAC地址',
    VLAN: 'VLAN号',
    ipAddress: 'IP地址',
    TOpticalPower: 'T光功率',
    ROpticalPower: 'R光功率'
  }
}
