export const LEGITIMACY_CHECK_STATUS_CODE_EN = {

  "1001": {
    code: "1001",
    message: "Please select only one subnet !"
  },
  "1002": {
    code: "1002",
    message: "Do you confirm to add the device to subnet ?"
  },
  "1003": {
    code: "1003",
    message: "Do you confirm to remove the device from subnet ?"
  },

  "3759": {
    code: "3759",
    message: "Please enter a valid IP address"
  },
  "3760": {
    code: "3760",
    message: "Text length limited within 20 characters"
  },
  "3761": {
    code: "3761",
    message: "Please enter the legitimate number"
  },
  "3762": {
    code: "3762",
    message: "input cannot be empty"
  },
  "3763": {
    code: "3763",
    message: "The string is empty"
  },
  "3765": {
    code: "3765",
    message: "Time format is illegal"
  },
  "3766": {
    code: "3766",
    message: "Monitoring period is illegal"
  },
  "3767": {
    code: "3767",
    message: "Start time is greater than end time"
  },
  "3768": {
    code: "3768",
    message: "Query period exceeds 24 hours"
  },
  "3769": {
    code: "3769",
    message: "Negative number not acceptable"
  },
  "3770": {
    code: "3770",
    message: "Phone number is illegal"
  },
  "3771": {
    code: "3771",
    message: "Password is empty"
  },
  "3772": {
    code: "3772",
    message: "Port must be a number"
  },
  "3774": {
    code: "3774",
    message: "Passwords didn't match"
  },
  "3775": {
    code: "3775",
    message: "arrays are not equal"
  },
  "3776": {
    code: "3776",
    message: "objects are not equal"
  },
  "3777": {
    code: "3777",
    message: "Please select at least one message to delete!"
  },
  "3778": {
    code: "3778",
    message: "Please select a message to copy!"
  },
  "3779": {
    code: "3779",
    message: "Please select only one message to copy!"
  },
  "3780": {
    code: "3780",
    message: "Please select a message to modify！"
  },
  "3781": {
    code: "3781",
    message: "Please select only one message to modify!"
  },
  "3782": {
    code: "3782",
    message: "Query data is empty！"
  },
  "3783": {
    code: "3783",
    message: "Please select a file to upload"
  },
  "3784": {
    code: "3784",
    message: "Upload files can only be in xls, xlsx format!"
  },
  "3785": {
    code: "3785",
    message: "Upload file size cannot exceed 5MB!"
  },
  "3786": {
    code: "3786",
    message: "Location cannot be empty!"
  },
  "3787": {
    code: "3787",
    message: "Not modified!"
  },
  "3788":{
    code:"3788",
    message:"Please enter the original password！"
  },
  "3789":{
    code:"3789",
    message:"Please enter a new password！"
  },
  "3790":{
    code:"3790",
    message:"Passwords didn't match！"
  },
  "3791":{
    code:"3791",
    message:"Please enter your new password again！"
  },
  "3792": {
    code: "3792",
    message: "Please select only one file!"
  },
  "3793": {
    code: "3793",
    message: "Please select at least one alarm message to confirm!"
  },
  "3794": {
    code: "3794",
    message: "Start time cannot be empty!"
  },
  "3795": {
    code: "3795",
    message: "End time cannot be greater than current time!"
  },
  "3796": {
    code: "3796",
    message: "Monitoring period setting error!"
  },
  "3797": {
    code: "3797",
    message: "Threshold setting error, please ensure that the threshold is continuous and progressive (increment/decrement)!"
  },
  "3798": {
    code: "3798",
    message: "Current monitoring period configuration and threshold configuration have errors. Please ensure that the threshold is continuous and progressive."
  },
  "3799": {
    code: "3799",
    message: "End time cannot be empty!"
  },
  "3800": {
    code: "3800",
    message: "No statistical result data!"
  },
  "3801": {
    code: "3801",
    message: "Alarm level cannot use the same color!"
  },
  "3888": {
    code: "3888",
    message: "Please select one message to save!"
  },
  "3889": {
    code: "3889",
    message: "Please select only one message to save！"
  },

  "7001": {
    code: "7001",
    message: "Please select at lease one configuration file to upload!"
  },
  "7002":{
    code: "7002",
    message: "Please select at lease one device to update configuration!"
  },
  "7003":{
    code: "7003",
    message: "Please select at lease one device to query configuration history!"
  },
  "7004":{
    code: "7004",
    message: "Please select one record to download！"
  },
  "7006":{
    code: "7006",
    message: "Please select at lease one device!"
  },
  "7008":{
    code: "7008",
    message: "Please select only one device!"
  },
  "7009":{
    code: "7009",
    message: "Please select at lease one configuration!"
  },
  "7010":{
    code: "7010",
    message: "Please select only one configuration!"
  },
  "7011":{
    code: "7011",
    message: "Please select at lease one alarm information to confirm!"
  },
  "7012":{
    code: "7012",
    message: "Please select at lease one alarm information to clear!"
  },
  "7100":{
    code: "7100",
    message: "Please select at lease one alarm information to delete!"
  },
  "7013":{
    code: "7013",
    message: "Upload files can only be in conf format!"
  },
  "7014":{
    code: "7014",
    message: "Please select only one record to download!"
  },
  "7015":{
    code: "7015",
    message: "please select only one device data to query configuration history!"
  },
  "7016":{
    code: "7016",
    message: "Please select only one device data to update the configuration!"
  },
  "7017":{
    code: "7017",
    message: "Start device port between 0-99!"
  },
  "7018":{
    code: "7018",
    message: "End device port between 0-99!"
  },
  "7019":{
    code: "7019",
    message: "Port entered must be less than 99!"
  },
  "7020":{
    code: "7020",
    message: "Please enter valid number!"
  },
  "7021":{
    code: "7021",
    message: "Please enter valid device IP address!"
  },
  "7022":{
    code: "7022",
    message: "Please enter valid time!"
  },
  "7023": {
    code: "7023",
    message: "Text length limited within 35 characters"
  },

  "3802": {
    code: "3802",
    message: "Are you sure to delete this record?"
  },
  "4001":{
    code: "4001",
    message: "Whether to exit this system？"

  },
  "1111":{
    code: "1111",
    message: "no back"
  },
  "1112":{
    code: "1112",
    message: "Please select at lease one save options!"
  },
  "1114":{
    code: "1114",
    message: "Please select at lease one Link Find Way!"
  },
  "1115":{
    code: "1115",
    message: "Snapshot recover success!"
  },
  "1116":{
    code: "1116",
    message: "Upload files can only be in bin format!"
  },
  "8133": {
    code: "8133",
    message: "Service type name cannot be empty"
  },
  "8134": {
    code: "8134",
    message: "Service type ID cannot be empty"
  },
  "8135": {
    code: "8135",
    message: "Please select one record to modify"
  },
  "8136": {
    code: "8136",
    message: "Please select one record to delete"
  },
  "8137": {
    code: "8137",
    message: "Service subnet ID cannot be empty"
  },
  "8138": {
    code: "8138",
    message: "Service subnet name cannot be empty"
  },
  "8139": {
    code: "8139",
    message: "Service topology type cannot be empty"
  },
  "8140": {
    code: "8140",
    message: "Service type cannot be empty"
  },
  "8141": {
    code: "8141",
    message: "Are you sure to delete this record?"
  },
  "8142": {
    code: "8142",
    message: "Please select at least one device"
  },
  "8143": {
    code: "8143",
    message: "Please enter a valid number"
  },
  "8144": {
    code: "8144",
    message: "Please enter a valid ports"
  },
  "8145": {
    code: "8145",
    message: "Modification of service subnet"
  },
  "8146": {
    code: "8146",
    message: "Duplicate service subnet"
  },
  "8147": {
    code: "8146",
    message: "Please select a scheduling type"
  },
  "8148": {
    code: "8148",
    message: "Please enter a valid CDP profile name"
  },
  "8149": {
    code: "8149",
    message: "Please select only one record to modify！"
  },
  "8150": {
    code: "8150",
    message: "Please select only one record to delete！"
  },
  "8151": {
    code: "8151",
    message: "Please do not enter a duplicate port ID"
  },
  "8152": {
    code: "8152",
    message: "Please select one record to duplicate"
  },
  "8153": {
    code: "8153",
    message: "Please select only one record to duplicate"
  },
  "8154": {
    code: "8154",
    message: "Please enter a valid bandwidth"
  },
  "8155": {
    code: "8155",
    message: "Have No Affiliate Devices"
  },
  "8156": {
    code: "8156",
    message: "Are you sure to update this user information? It will be effective at the next login"
  },
  "8157": {
    code: "8157",
    message: "The first ip should less than the second ip"
  },
  "8158":{
    code: "8158",
    message: "Not in the same ip interval"
  },
  '9001':{
    code: "9001",
    message: "User permissions have been modified, please login again!"
  },
  '9002':{
    code: "9002",
    message: "User password have been modified, please login again!"
  },
  '9003':{
    code: "9003",
    message: "User information have been modified, please login again!"
  },
  '9004':{
    code: "9004",
    message: "The user has been deleted, please login again!"
  },
  '9005':{
    code: "9005",
    message: "The user has logged in on another device, you have logged out!"
  },


  '6001':{
    code: "6001",
    message: "The port between 0-99!"
  },
  '6002':{
    code: "6002",
    message: "Please enable one topology message!"
  },
  '6003':{
    code: "6003",
    message: "Please disable one topology message!"
  },
  '6004':{
    code: "6004",
    message: "Are you sure to enable this topology message?"
  },
  '6005':{
    code: "6005",
    message: "Are you sure to disable this topology message?"
  },
  '6006':{
    code: "6006",
    message: "This topology is enabled"
  },
  '6007':{
    code: "6007",
    message: "Port entered must be less than actual number of ports"
  },
  '6008':{
    code: "6008",
    message: "Port entered must be less than actual number of ports"
  },
  /************* weixin START *************/
  "2501": {
    code: "2501",
    message: "Please select a discovery template!"
  },
  "2502": {
    code: '2502',
    message: '网元与当前网元列表中的网元IP冲突，是否确认替换?'
  },
  "2503": {
    code: '2503',
    message: '是否确认保存拓扑图?'
  },
  /************* weixin END *************/
};
