export const LEGITIMACY_CHECK_STATUS_CODE_ZH_CN = {

  '1001': {
    code: '1001',
    message: '请只选择一个子网'
  },
  '1002': {
    code: '1002',
    message: '是否确认将设备加入该子网'
  },
  '1003': {
    code: '1003',
    message: '是否确认将设备移出子网'
  },

  '3759': {
    code: '3759',
    message: '请输入有效ip地址'
  },
  '3760': {
    code: '3760',
    message: '输入文本长度必须在20以内'
  },
  '3761': {
    code: '3761',
    message: '请输入合法性数字'
  },
  '3762': {
    code: '3762',
    message: '输入内容不可为空'
  },
  '3763': {
    code: '3763',
    message: '字符串为空'
  },
  '3765': {
    code: '3765',
    message: '时间不合法'
  },
  '3766': {
    code: '3766',
    message: '监测周期不合法'
  },
  '3767': {
    code: '3767',
    message: '起始时间大于终止时间'
  },
  '3768': {
    code: '3768',
    message: '查询时段超过24小时'
  },
  '3769': {
    code: '3769',
    message: '不能为负数'
  },
  '3770': {
    code: '3770',
    message: '电话号码不合法'
  },
  '3771': {
    code: '3771',
    message: '密码为空'
  },
  '3772': {
    code: '3772',
    message: '端口必须是数字'
  },
  '3774': {
    code: '3774',
    message: '两次密码不相等'
  },
  '3775': {
    code: '3775',
    message: '两个list不相等'
  },
  '3776': {
    code: '3776',
    message: '结构体不相等'
  },
  '3777': {
    code: '3777',
    message: '请至少选择一条信息进行删除！'
  },
  '3778': {
    code: '3778',
    message: '请选择一条信息进行复制！'
  },
  '3779': {
    code: '3779',
    message: '请只选择一条信息进行复制！'
  },
  '3780': {
    code: '3780',
    message: '请选择一条信息进行修改！'
  },
  '3781': {
    code: '3781',
    message: '请只选择一条信息进行修改！'
  },
  '3782': {
    code: '3782',
    message: '查询数据为空！'
  },
  '3783': {
    code: '3783',
    message: '请选择要上传的文件'
  },
  '3784': {
    code: '3784',
    message: '上传文件只能是 xls、xlsx格式!'
  },
  '3785': {
    code: '3785',
    message: '上传文件大小不能超过 5MB!'
  },
  '3786': {
    code: '3786',
    message: '所属机房不能为空!'
  },
  '3787': {
    code: '3787',
    message: '未进行修改!'
  },
  '3788': {
    code: '3788',
    message: '请输入原始密码！'
  },
  '3789': {
    code: '3789',
    message: '请输入新密码！'
  },
  '3790': {
    code: '3790',
    message: '两次密码输入不同！'
  },
  '3791': {
    code: '3791',
    message: '请再次输入新密码！'
  },
  '3792': {
    code: '3792',
    message: '当前限制选择 1 个文件!'
  },
  '3793': {
    code: '3793',
    message: '请至少选择一条告警信息进行确认!'
  },
  '3794': {
    code: '3794',
    message: '开始时间不能为空!'
  },
  '3795': {
    code: '3795',
    message: '结束时间不能大于当前时间!'
  },
  '3796': {
    code: '3796',
    message: '监测周期设置错误!'
  },
  '3797': {
    code: '3797',
    message: '门限设置错误，请保证门限连续且递进（递增/递减）！'
  },
  '3798': {
    code: '3798',
    message: '当前监测周期配置及门限配置存在错误，请保证门限连续且递进！'
  },
  '3799': {
    code: '3799',
    message: '结束时间不能为空!'
  },
  '3800': {
    code: '3800',
    message: '暂无统计结果数据!'
  },
  '3801': {
    code: '3801',
    message: '告警等级不能使用相同颜色!'
  },
  '3888': {
    code: '3888',
    message: '请选择一条信息进行保存!'
  },
  '3889': {
    code: '3889',
    message: '请只选择一条信息进行保存!'
  },
  '7001': {
    code: '7001',
    message: '请至少选择一条配置进行上传！'
  },
  '7002': {
    code: '7002',
    message: '请至少选择一条设备数据进行配置更新！'
  },
  '7003': {
    code: '7003',
    message: '请至少选择一条设备数据进行配置历史查询！'
  },
  '7004': {
    code: '7004',
    message: '请选择一条信息进行下载！'
  },

  '7006': {
    code: '7006',
    message: '请至少选择一个网元！'
  },
  '7008': {
    code: '7008',
    message: '请只选择一个设备！'
  },
  '7009': {
    code: '7009',
    message: '请至少选择一条配置！'
  },
  '7010': {
    code: '7010',
    message: '请只选择一条配置'
  },
  '7011': {
    code: '7011',
    message: '请至少选择一条告警信息进行确认！'
  },
  '7012': {
    code: '7012',
    message: '请至少选择一条告警信息进行清除！'
  },
  '7100': {
    code: '7100',
    message: '请至少选择一条告警信息进行删除！'
  },
  '7013': {
    code: '7013',
    message: '上传文件只能是 conf 格式!'
  },
  '7014': {
    code: '7014',
    message: '请只选择一条信息进行下载!'
  },
  '7015': {
    code: '7015',
    message: '请只选择一条设备数据进行配置历史查询!'
  },
  '7016': {
    code: '7016',
    message: '请只选择一条设备数据进行配置更新!'
  },
  '7017': {
    code: '7017',
    message: '开始设备端口在0-99之间!'
  },
  '7018': {
    code: '7018',
    message: '结束设备端口在0-99之间!'
  },
  '7019': {
    code: '7019',
    message: '所输端口大小必须小于99!'
  },
  '7020': {
    code: '7020',
    message: '请输入有效的数字!'
  },
  '7021': {
    code: '7021',
    message: '请输入有效的网元地址!'
  },
  '7022': {
    code: '7022',
    message: '请输入有效的时间!'
  },
  '7023': {
    code: '7023',
    message: '输入文本长度必须在35以内'
  },
  '3802': {
    code: '3802',
    message: '您是否确认删除此条记录?'
  },
  '3803': {
    code: '3803',
    message: '删除后告警不再提示，可通过历史告警查询!'
  },
  '4001': {
    code: '4001',
    message: '是否退出此系统？'
  },
  // ==============================ls添加开始
  '1111': {
    code: '1111',
    message: '数据删除后不可恢复，是否确认删除？'
  },
  '1112': {
    code: '1112',
    message: '请至少选择一个备份信息！'
  },
  '1113': {
    code: '1113',
    message: '恢复后无法恢复到当前系统配置状态！'
  },
  '1114': {
    code: '1114',
    message: '请至少选择一种链路发现方式！'
  },
  '1115': {
    code: '1115',
    message: '快照回退成功！'
  },
  '1116': {
    code: '1116',
    message: '上传文件只能是 bin 格式！'
  },
  // ==============================ls添加结束
  '8133': {
    code: '8133',
    message: '业务类型名称不可为空'
  },
  '8134': {
    code: '8134',
    message: '业务类型编号不可为空'
  },
  '8135': {
    code: '8135',
    message: '请选择一条信息进行修改'
  },
  '8136': {
    code: '8136',
    message: '请选择一条信息进行删除'
  },
  '8137': {
    code: '8137',
    message: '业务子网编号不可为空'
  },
  '8138': {
    code: '8138',
    message: '业务子网名称不可为空'
  },
  '8139': {
    code: '8139',
    message: '业务拓扑类型不可为空'
  },
  '8140': {
    code: '8140',
    message: '业务类型不可为空'
  },
  '8141': {
    code: '8141',
    message: '您是否确认删除此条记录'
  },
  '8142': {
    code: '8142',
    message: '请至少选择一条设备'
  },
  '8143': {
    code: '8143',
    message: '请输入有效的数字'
  },
  '8144': {
    code: '8144',
    message: '请输入有效的端口'
  },
  '8145': {
    code: '8145',
    message: '业务子网的修改'
  },
  '8146': {
    code: '8146',
    message: '复制业务子网'
  },
  '8147': {
    code: '8146',
    message: '请选择调度算法'
  },
  '8148': {
    code: '8148',
    message: '请输入有效的CDPprofile名称'
  },
  '8149': {
    code: '8149',
    message: '请只选择一条信息进行修改！'
  },
  '8150': {
    code: '8150',
    message: '请只选择一条信息进行删除！'
  },
  '8151': {
    code: '8151',
    message: '请勿输入重复的portID！'
  },
  '8152': {
    code: '8152',
    message: '请选择一条信息进行复制！'
  },
  '8153': {
    code: '8153',
    message: '请只选择一条信息进行复制！'
  },
  '8154': {
    code: '8154',
    message: '请输入有效的带宽！'
  },
  '8155': {
    code: '8155',
    message: '没有附属设备'
  },
  '8156': {
    code: '8156',
    message: '是否修改，修改信息后下次登录生效'
  },
  '8157': {
    code: '8157',
    message: '第一个ip地址需小于第二个'
  },
  '8158': {
    code: '8158',
    message: '不是同一网段'
  },
  '9001': {
    code: '9001',
    message: '该用户权限被修改，请重新登录！'
  },
  '9002': {
    code: '9002',
    message: '该用户密码被修改，请重新登录！'
  },
  '9003': {
    code: '9003',
    message: '该用户信息被修改，请重新登录！'
  },
  '9004': {
    code: '9004',
    message: '该用户已被删除，请重新登录！'
  },
  '9005': {
    code: '9005',
    message: '该用户已在其他设备登录，您已下线！'
  },
  '6200': {
    code: '6200',
    message: '请选择一条信息进行启用！'
  },
  '6201': {
    code: '6201',
    message: '请只选择一条信息进行启用！'
  },

  '6203': {
    code: '6203',
    message: '请至少选择一个性能端口事件！'
  },
  '6001': {
    code: '6001',
    message: '端口在 0-99之间!'
  },
  '6002': {
    code: '6002',
    message: '请选择一条拓扑信息启用!'
  },
  '6003': {
    code: '6003',
    message: '请选择一条拓扑信息禁用!'
  },
  '6004': {
    code: '6004',
    message: '您是否确认启用该动态拓扑?'
  },
  '6005': {
    code: '6005',
    message: '您是否确认禁用该动态拓扑?'
  },
  '6006': {
    code: '6006',
    message: '该动态拓扑正在启用中'
  },
  '6007': {
    code: '6007',
    message: '起点网元端口号大于实际端口'
  },
  '6008': {
    code: '6008',
    message: '终点网元端口号大于实际端口'
  },
  '6800': {
    code: '6800',
    message: '至少选择一条信息启用！'
  },
  '6801': {
    code: '6801',
    message: '至少选择一条信息停用！'
  },
  '6802': {
    code: '6802',
    message: '采集任务停用后才可以删除！'
  },
  '6803': {
    code: '6803',
    message: '报表任务停用后才可以删除！'
  },
  '6204': {
    code: '6204',
    message: 'X轴系类和Y轴系列输入不能相同！'
  },
  '6205': {
    code: '6205',
    message: '请只选择一个性能指标！'
  },
  '6206': {
    code: '6206',
    message: '系列非性能指标时，更多条件中性能指标必须选择一个指标！'
  },
  '6207': {
    code: '6207',
    message: '请至少选择一个数据库监控指标！'
  },
  '2501': {
    code: '2501',
    message: '请选择一个发现模板！'
  },
  '2502': {
    code: '2502',
    message: '网元与当前网元列表中的网元IP冲突，是否确认替换？'
  },
  '2503': {
    code: '2503',
    message: '是否确认保存拓扑图？'
  },
  '2504': {
    code: '2504',
    message: 'IP地址不可为空'
  },
  '2505': {
    code: '2505',
    message: '多个指标组的网元类型或网元型号不能重复！'
  }
}
