export const STATIC_URL = './static/'
export const USER_NAME = 'userName'
export const LOCKED = 'locked'
/** ************       language存储字符串        **************************/
export const TOPOLOGY_UPDATE_FLAG = 0
export const SERVICE_UPDATE_FLAG = 1
/** ************       language存储字符串        **************************/
export const LANGUAGE_LOCALSTORAGE = 'user-language'
export const LANGUAGE_CHINESE = 'zh-cn'
export const LANGUAGE_ENGLISH = 'en'
/** ************       系统模式命名       **************************/
export const SYSTEM_MODE_TRAD = 'TRAD'
export const SYSTEM_MODE_SDNC = 'SDNC'
/** ************       OBJECT_KEY        **************************/
export const RT_PERTYPE_KEY = 'deviceParam'
export const UUID = 'uuid'
export const DEVICE_KEY = 'deviceKey'
export const DEVICE_TYPE_KEY = 'deviceTypeKey'
export const DEVICE_MODEL_KEY = 'deviceModelKey'
export const ALARM_KEY = 'alarmKey'
export const ALARM_MANG_EXP_KEY = 'alarmMangExpKey'
export const LINK_KEY = 'linkKey'
export const SUBNET_KEY = 'subnetKey'
export const TOPO_DISCOVERY_TEMPLATE_KEY = 'discoveryTemplateKey'
export const PERFORM_TASK_KEY = 'performTaskKey'
export const REPORT_TEMPLATE_KEY = 'reportTemplateKey'
export const PERIOD_REPORT_KEY = 'reportKey'
export const REPORT_TASK_KEY = 'reportTaskKey'
export const INDEX_TEMPLATE_KEY = 'performTemplateKey'
export const TOPOLOGY_KEY = 'topologyKey'
export const CDP_KEY = 'cdpKey'
export const LOCATION_KEY = 'locationKey'
export const SERVER_KEY = 'serverKey'
export const HISTORY_CONFIG_KEY = 'historyConfKey'
export const CABINET_KEY = 'cabinetKey'
export const PORT_KEY = 'portKey'
export const CONFIG_FILE_KEY = 'configFileKey'
export const USER_AUTHORITY_KEY = 'authorityKey'
export const ALARMTYPELIST_KEY = 'alarmCode'
export const ALARMCFGLIST_KEY = 'alarmCode'
export const ALARM_FILTER_KEY = 'alarmFilterKey'
export const PERFORMANCE_CONFIG_KEY = 'number'
export const PERFORMANCE_TYPE_KEY = 'deviceParam'
export const PERFORMANCE_KEY = 'performKey'
export const ALARM_LEVEL = 'alarmLevel'
export const USER_KEY = 'userKey'
export const AUTHORITY_KEY = 'authorityKey'
export const USERGROUP_KEY = 'usergroupKey'
export const USER_LOGIN_LOG_KEY = 'loginlogKey'
export const USER_OPTION_LOG_KEY = 'operationlogKey'
export const ELINE_SERVICE_KEY = 'vpnId'
export const FIRMWARE_KEY = 'firmwareKey'
export const SNAPSHOT_KEY = 'snapshotKey'
export const AREA_KEY = 'areaKey'
export const AREA_0 = 0
export const AREA_1 = 1
export const NODE_NAME = 'nodeName'
export const TOPO_DYNAMIC_KEY = 'topoKey'
export const TOPOLOGICAL_DOWNLOAD_FILE_NAME = '动态拓扑配置数据.xls'
export const CONFIG_FILE_DIFFERENCE_KEY = 'fileDifferentMessageKey'
/** ************       导出文件默认文件名常量        **************************/
export const CABINET_DOWNLOAD_FILE_NAME = '机架数据.xls'
export const LOCATION_DOWNLOAD_FILE_NAME = '机房数据.xls'
export const DEVICE_DOWNLOAD_FILE_NAME = '网元数据.xls'
export const LINK_DOWNLOAD_FILE_NAME = '链路数据.xls'
export const DEVICE_BOOK_DOWNLOAD_FILE_NAME = '网元台账数据.xls'
export const SUBNET_DOWNLOAD_FILE_NAME = '子网数据.xls'
export const PORT_DOWNLOAD_FILE_NAME = '接入业务端口数据.xls'
export const DEVICE_LOG_DOWNLOAD_FILE_NAME = 'syslog-'
export const PERIOD_REPORT_DOWNLOAD = '周期报表.xls'
export const TOPN_PERFORMANCE_DOWNLOAD_FILE_NAME = 'Top N性能数据查询.xls'
export const PERFORMANCE_DOWNLOAD_FILE_NAME = '性能数据查询.xls'
export const PERFORMANCE_DOWNLOAD_FILE_NAME_CSV = '性能数据查询.csv'
export const ALARM_QUERY_FILE_NAME_EXCEL = '告警查询数据.xls'
export const ALARM_QUERY_FILE_NAME_CSV = '告警查询数据.csv'
export const ALARM_MANG_EXP = '告警经验维护数据.xls'
export const ALARM_CONFIG_LIST_FILE_NAME = '告警配置列表.xls'
export const USER_LOGIN_LOG_FILE_NAME = '用户登录日志.xls'
export const USER_OPTION_LOG_FILE_NAME = '用户操作日志.xls'
export const DOWNLOAD_SYSTEM_CONFIG_NAME = '系统配置数据.xls'
export const NETWORK_PHYSICS_LINK_FILE_NAME = '网络物理连接配置数据.xls'
/** ************       配置文件常量        **************************/
export const CONFIG_DATE_URL = STATIC_URL + 'ipconfig.json'
export const CONFIG_DATE_URL1 = STATIC_URL + 'eventFile.json'

/** ************       状态常量        **************************/
const DISABLED_STATUS_COLOR = '#9A9A9A'
const ENABLED_STATUS_COLOR = '#0000FF'
const DISCOVER_STATUS_COLOR = '#BBCCE0'
export const TOPOLOGY_IMAGE_TYPE = '_topology.png'
export const SIDEBAR_IMAGE_TYPE = '_sidebar.jpg'
export const CONTROLLER_IMAGE_TYPE = '_controller.png'
export const SERVER_IMAGE_TYPE = '_server.png'
// 设备、服务器、拓扑节点、链路状态常量
export const DISABLED_STATUS_ENUM = '-2'
export const ENABLED_STATUS_ENUM = '-1'
export const WARN_STATUS_ENUM = '0'
export const SEVERITY_STATUS_ENUM = '1'
export const INSTANCY_STATUS_ENUM = '2'
export const DISCOVER_STATUS_ENUM = '3'
// 告警状态常量
export const ALARM_UNCOMFIRM_STATUS_ENUM = 0
export const ALARM_COMFIRM_STATUS_ENUM = 1
export const ALARM_CLEAR_STATUS_ENUM = 2
export const ALARM_RECOVER_STATUS_ENUM = 3
// 设备状态常量
export const DEVICE_DISCOVER_STATUS_ENUM = 2
export const DEVICE_DISABLED_STATUS_ENUM = 1
export const DEVICE_ENABLED_STATUS_ENUM = 0
// 停用
export const DISABLED_STATUS = {
  status: DISABLED_STATUS_ENUM,
  alarmColor: DISABLED_STATUS_COLOR,
  topologyDeviceAlarmImagePath: STATIC_URL + DISABLED_STATUS_COLOR.substring(1) + TOPOLOGY_IMAGE_TYPE,
  sidebarDeviceAlarmImagePath: STATIC_URL + DISABLED_STATUS_COLOR.substring(1) + SIDEBAR_IMAGE_TYPE,
  controllerAlarmImagePath: STATIC_URL + DISABLED_STATUS_COLOR.substring(1) + CONTROLLER_IMAGE_TYPE,
  othersServerAlarmImagePath: STATIC_URL + DISABLED_STATUS_COLOR.substring(1) + SERVER_IMAGE_TYPE,
  alarmAudioPath: ''
}
// 启用（正常）
export const ENABLED_STATUS = {
  status: ENABLED_STATUS_ENUM,
  alarmColor: ENABLED_STATUS_COLOR,
  topologyDeviceAlarmImagePath: STATIC_URL + ENABLED_STATUS_COLOR.substring(1) + TOPOLOGY_IMAGE_TYPE,
  sidebarDeviceAlarmImagePath: STATIC_URL + ENABLED_STATUS_COLOR.substring(1) + SIDEBAR_IMAGE_TYPE,
  controllerAlarmImagePath: STATIC_URL + ENABLED_STATUS_COLOR.substring(1) + CONTROLLER_IMAGE_TYPE,
  othersServerAlarmImagePath: STATIC_URL + ENABLED_STATUS_COLOR.substring(1) + SERVER_IMAGE_TYPE,
  alarmAudioPath: ''
}
// 未规划(发现)
export const DISCOVER_STATUS = {
  status: DISCOVER_STATUS_ENUM,
  alarmColor: DISCOVER_STATUS_COLOR,
  topologyDeviceAlarmImagePath: STATIC_URL + DISCOVER_STATUS_COLOR.substring(1) + TOPOLOGY_IMAGE_TYPE,
  sidebarDeviceAlarmImagePath: STATIC_URL + DISCOVER_STATUS_COLOR.substring(1) + SIDEBAR_IMAGE_TYPE,
  controllerAlarmImagePath: STATIC_URL + DISCOVER_STATUS_COLOR.substring(1) + CONTROLLER_IMAGE_TYPE,
  othersServerAlarmImagePath: STATIC_URL + DISCOVER_STATUS_COLOR.substring(1) + SERVER_IMAGE_TYPE,
  alarmAudioPath: ''
}
// /**************       请求返回的状态常量        **************************/
export const RESPONSE_SUCCESS = '200'
export const RESPONSE_FAIL = '500'
// export const RESPONSE_BODY = {
//   resultStatus: 'resultStatus',// true/false
//   resultCode: 'resultCode',    // "200"/"500"
//   errorCause: 'errorCause',    //  "添加失败"
//   resultObj: 'resultObj'       // {}  { deviceCollrection: {}}
// };
/** ************       请求成功响应码常量        **************************/
export const STOP_TASK_CODE = '6802'
export const STOP_REPORT_TASK_CODE = '6803'
export const START_SELECT_CODE = '6800'
export const STOP_SELECT_CODE = '6801'
export const QUERY_CODE = '2001'
export const ADD_CODE = '2002'
export const DELETE_CODE = '2003'
export const MODIFY_CODE = '2004'
export const OTHERS_CODE = '2005'
export const LOCKED_CODE = '2006'
export const UNLOCKED_CODE = '2007'
export const ENABLE_CODE = '2008'
export const DISABLE_CODE = '2009'
/** ************       错误响应码常量        **************************/
export const SERVER_CODE = '500'
export const FILE_ERROR_CODE = '5001'
/** ************       警告校验响应码常量        **************************/
export const SELECT_ONE_SUBNET = '1001'
export const ADD_THE_DEVICE_TO_SUBNET = '1002'
export const REMOVE_THE_DEVICE_FROM_SUBNET = '1003'
export const IPCHECK_CODE = '3759'
export const LENGTH_CODE = '3760'
export const PLEASE_SELECT_AT_LEAST_ONE_SAVE_OPTIONS = '1112' // ls  2019/9/11
export const LINK_PROTOCOL = '1114' // ls  2019/9/23
export const UPLOAD_FILES_CAN_ONLY_BE_IN_BIN_FORMAT = '1116' // ls  2019/9/23
export const LENGTH_CODE_FOR_CONFFILENAME = '7023'

export const DIGIT_CODE = '3761'
export const TEXT_NULL_CODE = '3762'
export const STRING_NULL_CODE = '3763'
export const DATE_CODE = '3765'
export const CYCLE_CODE = '3766'
export const START_END_TIME_CODE = '3767'
export const PERIOD_TIME_CODE = '3768'
export const POSITIVE_NUMBER_CODE = '3769'
export const PHONE_CODE = '3770'
export const PASSWORD_CODE = '3771'
export const PORT_NUMBER_CODE = '3772'
export const PASSWORD_SAME_CODE = '3774'
export const LIST_SAME_CODE = '3775'
export const STRUCTURE_SAME_CODE = '3776'
export const DELETE_SELECT_CODE = '3777'
export const COPY_SELECT_CODE = '3778'
export const COPY_ONLY_ONE_CODE = '3779'
export const UPDATE_SELECT_CODE = '3780'
export const UPDATE_ONLY_ONE_CODE = '3781'
export const QUERY_NULL_CODE = '3782'
export const CHOOSE_UPLOADFILE_CODE = '3783'
export const UPLOADFILE_FORMAT_CODE = '3784'
export const UPLOADFILE_SIZE_CODE = '3785'
export const CABINET_BELONG_LOCATION_CODE = '3786'
export const UNUPDATE_CODE = '3787'
export const OLD_PWD_CODE = '3788'
export const NEW_PWD_CODE = '3789'
export const DIFFERENT_PWD_CODE = '3790'
export const RENEW_PWD_CODE = '3791'
export const UPDATE_LIMIT_CODE = '3792'
export const CONFIRM_ONLY_ONE_CODE = '3793'
export const START_TIME_EMPTY_CODE = '3794'
export const END_TIME_CURRENT_CODE = '3795'
export const COLOR_SAME_CODE = '3801'
export const PERIOD_SET_CODE = '3796'
export const LIMITS_SET_CODE = '3797'
export const PERIOD_AND_LIMITS_SET_CODE = '3798'
export const END_TIME_EMPTY_CODE = '3799'
export const STATISTICS_RESULT_EMPTY_CODE = '3800'
export const SAVE_SELECT_CODE = '3888'
export const SAVE_ONLY_ONE_CODE = '3889'
export const PLEASE_SELECT_AT_LEASE_ONE_CONFIGURATION_FILE_TO_UPLOAD = '7001'
export const PLEASE_SELECT_AT_LEASE_ONE_DEVICE_TO_UPDATE_CONFIGURATION = '7002'
export const PLEASE_SELECT_AT_LEASE_ONE_DEVICE_TO_QUERY_CONFIGURATION_HISTORY = '7003'
export const PLEASE_SELECT_ONE_RECORD_TO_DOWNLOAD = '7004'
// export const PLEASE_SELECT_AT_LEASE_ONE_DEVICE_TO_UPDATE_CONFIGURATION = "7005";
export const PLEASE_SELECT_AT_LEASE_ONE_DEVICE = '7006'
export const PLEASE_SELECT_ONLY_ONE_DEVICE = '7008'
export const PLEASE_SELECT_AT_LEASE_ONE_CONFIGURATION = '7009'
export const PLEASE_SELECT_ONLY_ONE_CONFIGURATION = '7010'
export const PLEASE_SELECT_AT_LEASE_ONE_ALARM_INFORMATION_TO_CONFIRM = '7011'
export const PLEASE_SELECT_AT_LEASE_ONE_ALARM_INFORMATION_TO_CLEAR = '7012'
export const PLEASE_SELECT_AT_LEASE_ONE_ALARM_INFORMATION_TO_DELETE = '7100'
export const UPLOAD_FILES_CAN_ONLY_BE_IN_CONF_FORMAT = '7013'
export const PLEASE_SELECT_ONLY_ONE_RECORD_TO_DOWNLOAD = '7014'
export const PLEASE_SELECT_ONLY_ONE_DEVICE_DATA_FOR_CONFIGURATION_HISTORY_QUERY = '7015'
export const PLEASE_SELECT_ONLY_ONE_DEVICE_DATA_TO_UPDATE_THE_CONFIGURATION = '7016'
export const START_DEVICE_PORT_BETWEEN_0_99 = '7017'
export const END_DEVICE_PORT_BETWEEN_0_99 = '7018'
export const PORT_ENTERED_MUST_BE_LESS_THAN_99 = '7019'
export const PLEASE_ENTER_VALID_NUMBER = '7020'
export const PLEASE_ENTER_VALID_DEVICE_IP_ADDRESS = '7021'
export const PLEASE_ENTER_VALID_TIME = '7022'

export const DELETE_CONFIRM = '3802'
export const ALARM_DELETE = '3803'
export const SYSTEM_EXIT_CODE = '4001'
// 数据安全显示提示信息
export const SAFEDATA_DELETE = '1111'
export const RECOVER_CONFIRM = '1113'
export const SNAPSHOT_RECOVER_SUCCESS = '1115'

// 业务类型 业务子网 Qos、
export const SERVICE_TYPE_NAME_CANNOT_BE_EMPTY = '8133'
export const SERVICE_TYPE_ID_CANNOT_BE_EMPTY = '8134'
export const PLEASE_SELECT_ONE_RECORD_TO_MODIFY = '8135'
export const PLEASE_SELECT_ONE_RECORD_TO_DELETE = '8136'
export const SERVICE_SUBNET_ID_CANNOT_BE_EMPTY = '8137'
export const SERVICE_SUBNET_NAME_CANNOT_BE_EMPTY = '8138'
export const SERVICE_TOPOLOGY_TYPE_CANNOT_BE_EMPTY = '8139'
export const SERVICE_TYPE_CANNOT_BE_EMPTY = '8140'
export const ARE_YOU_SURE_TO_DELETE_THIS_RECORD = '8141'
export const PLEASE_SELECT_AT_LEAST_ONE_DEVICE = '8142'
export const PLEASE_ENTER_A_VALID_NUMBER = '8143'
export const PLEASE_ENTER_A_VALID_PORT_ID = '8144'
export const MODIFICATION_OF_SERVICE_SUBNET = '8145'
export const DUPLICATE_SERVICE_SUBNET = '8146'
export const PLEASE_SELECT_A_SCHEDULING_TYPE = '8147'
export const PLEASE_ENTER_A_VALID_CDP_PROFILE_NAME = '8148'
export const PLEASE_SELECT_ONLY_ONE_RECORD_TO_MODIFY = '8149'
export const PLEASE_SELECT_ONLY_ONE_RECORD_TO_DELETE = '8150'
export const PLEASE_DO_NOT_ENTER_A_DUPLICATE_PORT_ID = '8151'
export const PLEASE_SELECT_ONE_RECORD_TO_DUPLICATE = '8152'
export const PLEASE_SELECT_ONLY_ONE_RECORD_TO_DUPLICATE = '8153'
export const PLEASE_ENTER_A_VALID_BANDWIDTH = '8154'
export const HAVE_NO_AFFILIATD_DEVICE = '8155'
export const MODIFY_PERSONERLY_INFORMATION = '8156'
export const CORRECT_IP_ORDER = '8157'
export const NOT_IN_SAME_INTERVAL = '8158'

// 用户ws tip
export const MODIFY_AUTHORITY_TO_LOGIN = '9001'
export const MODIFY_PWD_TO_LOGIN = '9002'
export const MODIFY_USER_TO_LOGIN = '9003'
export const DELETE_USER_TO_LOGIN = '9004'
export const SAME_USER_TO_LOGIN = '9005'

export const ENABLED_SELECT_CODE = '6201'
export const ENABLED_ONLY_ONE_CODE = '6201'
export const RTEVENT_DELECT_PORT_EVENT = '6203'
export const NOT_EQUAL = '6204'
export const SELECT_ONLY_ONE = '6205'
export const PARAM_NOT_NULL = '6206'
export const DATA_MONITOR = '6207'

export const PORT_BETWEEN_0_99 = '6001'
export const ENABLE_SELECT_CODE = '6002'
export const DISABLE_SELECT_CODE = '6003'
export const ENABLE_CONFIRM = '6004'
export const DISABLE_CONFIRM = '6005'
export const DELETE_STATUS_CODE = '6006'
export const START_DEVICE_PORT_NUM = '6007'
export const END_DEVICE_PORT_NUM = '6008'

export const DISCOVER_ELEMENT_CODE = '2501'
export const ELEMENT_REPLACE_CODE = '2502'
export const SAVE_TOPOLOGY = '2503'
export const IP_ERROR = '2504'
export const INDEX_TEMPLATE = '2505'
