// getAllElineTemplateCollection()
export const ELINETEMPLATE_GETALL_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": [
    {
      "elineTemplateKey": "15531587287430000",
      "elineTemplateName": "test1",
      "serviceTypeID": "1",
      "protectionMode": 0,
      "reversion": 0,
      "wtr": 2,
      "oamInfo": 1,
      "ccmInterval": 0,
      "encapsulationType": 0,
      "l2AccessType": -999,
      "vlanAccess": 0,
      "vlanRangeStart": 22,
      "vlanRangeEnd": 33,
      "vlanSet": "",
      "cosId": 5,
      "limitedBandwidth": 12,
      "qosProfile": "2",
      "delFlag": 0,
      "modifyTime": "20190321.170044.004",
      "defaultFlag": 0
    },
    {
      "elineTemplateKey": "15531587681120001",
      "elineTemplateName": "test2",
      "serviceTypeID": "4",
      "protectionMode": 1,
      "reversion": 0,
      "wtr": 2,
      "oamInfo": 0,
      "ccmInterval": 10,
      "encapsulationType": 1,
      "l2AccessType": -999,
      "vlanAccess": 1,
      "vlanRangeStart": 0,
      "vlanRangeEnd": 0,
      "vlanSet": "5",
      "cosId": 3,
      "limitedBandwidth": 10,
      "qosProfile": "6",
      "delFlag": 0,
      "modifyTime": "20190321.170359.681",
      "defaultFlag": 0
    }
  ]
}
export const ELINETEMPLATE_GETALL_OUTPUT = [
  {
    "elineTemplateKey": "15531587287430000",
    "elineTemplateName": "test1",
    "serviceTypeID": "1",
    "protectionMode": 0,
    "reversion": 0,
    "wtr": 2,
    "oamInfo": 1,
    "ccmInterval": 0,
    "encapsulationType": 0,
    "l2AccessType": -999,
    "vlanAccess": 0,
    "vlanRangeStart": 22,
    "vlanRangeEnd": 33,
    "vlanSet": "",
    "cosId": 5,
    "limitedBandwidth": 12,
    "qosProfile": "2",
    "delFlag": 0,
    "modifyTime": "20190321.170044.004",
    "defaultFlag": 0
  },
  {
    "elineTemplateKey": "15531587681120001",
    "elineTemplateName": "test2",
    "serviceTypeID": "4",
    "protectionMode": 1,
    "reversion": 0,
    "wtr": 2,
    "oamInfo": 0,
    "ccmInterval": 10,
    "encapsulationType": 1,
    "l2AccessType": -999,
    "vlanAccess": 1,
    "vlanRangeStart": 0,
    "vlanRangeEnd": 0,
    "vlanSet": "5",
    "cosId": 3,
    "limitedBandwidth": 10,
    "qosProfile": "6",
    "delFlag": 0,
    "modifyTime": "20190321.170359.681",
    "defaultFlag": 0
  }
];

// addElineTemplate(elineTemplate)
export const ELINETEMPLATE_ADD_CLIENT = {
  "elineTemplateKey": "",
  "elineTemplateName": "test3",
  "serviceTypeID": "1",
  "protectionMode": 0,
  "reversion": 0,
  "wtr": 2,
  "oamInfo": 1,
  "ccmInterval": 0,
  "encapsulationType": 0,
  "l2AccessType": -999,
  "vlanAccess": 0,
  "vlanRangeStart": 44,
  "vlanRangeEnd": 55,
  "vlanSet": "",
  "cosId": 5,
  "limitedBandwidth": 12,
  "qosProfile": "2",
  "delFlag": 0,
  "modifyTime": "",
  "defaultFlag": 0
}
export const ELINETEMPLATE_ADD_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": {
    "elineTemplateKey": "15560986735940000",
    "elineTemplateName": "test3",
    "serviceTypeID": "1",
    "protectionMode": 0,
    "reversion": 0,
    "wtr": 2,
    "oamInfo": 1,
    "ccmInterval": 0,
    "encapsulationType": 0,
    "l2AccessType": -999,
    "vlanAccess": 0,
    "vlanRangeStart": 44,
    "vlanRangeEnd": 55,
    "vlanSet": "",
    "cosId": 5,
    "limitedBandwidth": 12,
    "qosProfile": "2",
    "delFlag": 0,
    "modifyTime": "20190424.173753.594",
    "defaultFlag": 0
  }
}
export const ELINETEMPLATE_ADD_OUTPUT = null;

// deleteElineTemplates(elineTemplateKeyList)
export const ELINETEMPLATE_DELETE_CLIENT = [15560986735940000]
export const ELINETEMPLATE_DELETE_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": 26
}
export const ELINETEMPLATE_DELETE_OUTPUT = null;

// modifyElineTemplate(elineTemplate)
export const ELINETEMPLATE_MODDIFY_CLIENT = {
  "elineTemplateKey": "15560986735940000",
  "elineTemplateName": "test4",
  "serviceTypeID": "1",
  "protectionMode": 0,
  "reversion": 0,
  "wtr": 2,
  "oamInfo": 1,
  "ccmInterval": 0,
  "encapsulationType": 0,
  "l2AccessType": -999,
  "vlanAccess": 0,
  "vlanRangeStart": 44,
  "vlanRangeEnd": 55,
  "vlanSet": "",
  "cosId": 5,
  "limitedBandwidth": 12,
  "qosProfile": "2",
  "delFlag": 0,
  "modifyTime": "20190424.173753.594",
  "defaultFlag": 0
}
export const ELINETEMPLATE_MODDIFY_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": {
    "elineTemplateKey": "15560986735940000",
    "elineTemplateName": "test4",
    "serviceTypeID": "1",
    "protectionMode": 0,
    "reversion": 0,
    "wtr": 2,
    "oamInfo": 1,
    "ccmInterval": 0,
    "encapsulationType": 0,
    "l2AccessType": -999,
    "vlanAccess": 0,
    "vlanRangeStart": 44,
    "vlanRangeEnd": 55,
    "vlanSet": "",
    "cosId": 5,
    "limitedBandwidth": 12,
    "qosProfile": "2",
    "delFlag": 0,
    "modifyTime": "20190424.173753.594",
    "defaultFlag": 0
  }
}
export const ELINETEMPLATE_MODDIFY_OUTPUT = null;

// conditionQueryElineTemplate(conditionSet)
export const ELINETEMPLATE_QUERY_CLIENT =[{
  "quaryAttribute": 'elineTemplateName',
  "compareSymbol": "like",
  "compareValue": 'test1'}];
export const ELINETEMPLATE_QUERY_INPUT = {
  "result": true,
  "faultCode": 0,
  "faultCause": null,
  "returnValue": [
    {
      "elineTemplateKey": "15531587287430000",
      "elineTemplateName": "test1",
      "serviceTypeID": "1",
      "protectionMode": 0,
      "reversion": 0,
      "wtr": 2,
      "oamInfo": 1,
      "ccmInterval": 0,
      "encapsulationType": 0,
      "l2AccessType": -999,
      "vlanAccess": 0,
      "vlanRangeStart": 22,
      "vlanRangeEnd": 33,
      "vlanSet": "",
      "cosId": 5,
      "limitedBandwidth": 12,
      "qosProfile": "2",
      "delFlag": 0,
      "modifyTime": "20190321.170044.004",
      "defaultFlag": 0
    }]
};
export const ELINETEMPLATE_QUERY_OUTPUT = [
  {
    "elineTemplateKey": "15531587287430000",
    "elineTemplateName": "test1",
    "serviceTypeID": "1",
    "protectionMode": 0,
    "reversion": 0,
    "wtr": 2,
    "oamInfo": 1,
    "ccmInterval": 0,
    "encapsulationType": 0,
    "l2AccessType": -999,
    "vlanAccess": 0,
    "vlanRangeStart": 22,
    "vlanRangeEnd": 33,
    "vlanSet": "",
    "cosId": 5,
    "limitedBandwidth": 12,
    "qosProfile": "2",
    "delFlag": 0,
    "modifyTime": "20190321.170044.004",
    "defaultFlag": 0
  }
];
