export const DEVICE_COLLECTION = {
  '111': {
    deviceKey: '111',     // 主键，字符串，唯一
    deviceName: '设备1',　 // 网元名称，字符串
    subnetKey: '001', // 所属子网，字符串, 设备所属子网的key
    status: '-1', // 前端新增字段，设备状态，字符串，从Alarm的alarmLevel来
    deviceStatus: '0'
  },
  '222': {
    deviceKey: '222',
    deviceName: '设备2',
    subnetKey: '001',
    status: '-1',
    deviceStatus: '0'
  },
  '333': {
    deviceKey: '333',
    deviceName: '设备3',
    subnetKey: '002',
    status: '1',
    deviceStatus: '0'
  },
  '444': {
    deviceKey: '444',
    deviceName: '设备4',
    subnetKey: '002',
    status: '1',
    deviceStatus: '1'
  },
  '555': {
    deviceKey: '555',
    deviceName: '设备5',
    subnetKey: '',
    status: '2',
    deviceStatus: '1'
  }
}

export const NEW_DEVICE_LIST = [
  {
    deviceKey: '111',     // 主键，字符串，唯一
    deviceName: '设备1',　 // 网元名称，字符串
    port: ''
  },
  {
    deviceKey: '222',
    deviceName: '设备2',
    port: ''
  },
  {
    deviceKey: '333',
    deviceName: '设备3',
    port: ''
  },
  {
    deviceKey: '444',
    deviceName: '设备4',
    port: ''
  },
  {
    deviceKey: '555',
    deviceName: '设备5',
    port: ''
  }
]

export const DEVICE_WITHOUT_SUBNET = {
  '555': {
    deviceKey: '555',
    deviceName: '设备5',
    subnetKey: '',
    status: '2',
    deviceStatus: '1'
  }
}

export const DEVICE_INUSE = {
  '111': {
    deviceKey: '111',     // 主键，字符串，唯一
    deviceName: '设备1',　 // 网元名称，字符串
    subnetKey: '001', // 所属子网，字符串, 设备所属子网的key
    status: '-1', // 前端新增字段，设备状态，字符串，从Alarm的alarmLevel来
    deviceStatus: '0'
  },
  '222': {
    deviceKey: '222',
    deviceName: '设备2',
    subnetKey: '001',
    status: '-1',
    deviceStatus: '0'
  },
  '333': {
    deviceKey: '333',
    deviceName: '设备3',
    subnetKey: '002',
    status: '1',
    deviceStatus: '0'
  }
}

export const DEVICE_STOP_USE = {
  '444': {
    deviceKey: '444',
    deviceName: '设备4',
    subnetKey: '002',
    status: '1',
    deviceStatus: '1'
  },
  '555': {
    deviceKey: '555',
    deviceName: '设备5',
    subnetKey: '',
    status: '2',
    deviceStatus: '1'
  }
}

export const DEVICELIST_IN_SUBNET = {
  '111': {
      deviceKey: '111',     // 主键，字符串，唯一
      deviceName: '设备1',　 // 网元名称，字符串
      subnetKey: '001', // 所属子网，字符串, 设备所属子网的key
      status: '-1', // 前端新增字段，设备状态，字符串，从Alarm的alarmLevel来
      deviceStatus: '0'
  },
  '222': {
      deviceKey: '222',
      deviceName: '设备2',
      subnetKey: '001',
      status: '-1',
      deviceStatus: '0'
  },
}
