export const WS_CONFORM_INIT = {
  "1":
    {
      alarmCode: "1002111",
      alarmCount: 1,
      alarmKey: "1",
      alarmLevel: 2,
      alarmStatus: 0,
      cause: "设备失联",
      clearTime: "",
      confirmTime: "",
      confirmUser: "",
      curTime: "20190411.222031.213",
      deviceKey: "15483223363780045",
      deviceName: "设备60",
      deviceType: "CZ.T.T65D-V1",
      firstTime: "20190411.174400.938",
      nodeType: 0,
      note: "",
      portName: "",
      recoverTime: "",
      slotKey: ""
    }
}

export const WS_CONFORM = {
  "objectOption": 5,
  "objectType": 0,
  "returnObject": ["1"]
}

export const WS_CONFORM_SUCCESS = {
  "1":
    {
      alarmCode: "1002111",
      alarmCount: 1,
      alarmKey: "1",
      alarmLevel: 2,
      alarmStatus: 1,
      cause: "设备失联",
      clearTime: "",
      confirmTime: "",
      confirmUser: "",
      curTime: "20190411.222031.213",
      deviceKey: "15483223363780045",
      deviceName: "设备60",
      deviceType: "CZ.T.T65D-V1",
      firstTime: "20190411.174400.938",
      nodeType: 0,
      note: "",
      portName: "",
      recoverTime: "",
      slotKey: ""
    }
}

export const WS_CLEAR_INIT = {
  "1":
    {
      alarmCode: "1002111",
      alarmCount: 1,
      alarmKey: "1",
      alarmLevel: 2,
      alarmStatus: 2,
      cause: "设备失联",
      clearTime: "",
      confirmTime: "",
      confirmUser: "",
      curTime: "20190411.222031.213",
      deviceKey: "15483223363780045",
      deviceName: "设备60",
      deviceType: "CZ.T.T65D-V1",
      firstTime: "20190411.174400.938",
      nodeType: 0,
      note: "",
      portName: "",
      recoverTime: "",
      slotKey: ""
    }
}
export const WS_CLEAR = {
  "objectOption": 6,
  "objectType": 0,
  "returnObject": ["1"]
}
export const WS_CLEAR_SUCCESS = {
  "1":
    {
      alarmCode: "1002111",
      alarmCount: 1,
      alarmKey: "1",
      alarmLevel: 2,
      alarmStatus: 2,
      cause: "设备失联",
      clearTime: "",
      confirmTime: "",
      confirmUser: "",
      curTime: "20190411.222031.213",
      deviceKey: "15483223363780045",
      deviceName: "设备60",
      deviceType: "CZ.T.T65D-V1",
      firstTime: "20190411.174400.938",
      nodeType: 0,
      note: "",
      portName: "",
      recoverTime: "",
      slotKey: ""
    }
}

export const WS_DISCOVER = {
  "objectOption": 7,
  "objectType": 0,
  "returnObject": {
    alarmCode: "1002111",
    alarmCount: 1,
    alarmKey: "1",
    alarmLevel: 2,
    alarmStatus: 0,
    cause: "设备失联",
    clearTime: "",
    confirmTime: "",
    confirmUser: "",
    curTime: "20190411.222031.213",
    deviceKey: "15483223363780045",
    deviceName: "设备60",
    deviceType: "CZ.T.T65D-V1",
    firstTime: "20190411.174400.938",
    nodeType: 0,
    note: "",
    portName: "",
    recoverTime: "",
    slotKey: ""
  }
}
export const WS_DISCOVER_SUCCESS = {
  "1":
    {
      alarmCode: "1002111",
      alarmCount: 1,
      alarmKey: "1",
      alarmLevel: 2,
      alarmStatus: 0,
      cause: "设备失联",
      clearTime: "",
      confirmTime: "",
      confirmUser: "",
      curTime: "20190411.222031.213",
      deviceKey: "15483223363780045",
      deviceName: "设备60",
      deviceType: "CZ.T.T65D-V1",
      firstTime: "20190411.174400.938",
      nodeType: 0,
      note: "",
      portName: "",
      recoverTime: "",
      slotKey: ""
    }
}

export const DEVICE_COLLECTION = {
  '15538492545760007': {
    deviceKey: '15538492545760007',     // 主键，字符串，唯一
    deviceName: '344',　 // 网元名称，字符串
    subnetKey: '001', // 所属子网，字符串, 设备所属子网的key
    status: '-1', // 前端新增字段，设备状态，字符串，从Alarm的alarmLevel来
    deviceStatus: '0'
  },
  '15514251771600000': {
    deviceKey: '15514251771600000',
    deviceName: '232',
    subnetKey: '001',
    status: '-1',
    deviceStatus: '0'
  },
}
export const LINK_COLLECTION = {
  "15543582288700022":
    {
      "linkKey":"15543582288700022",
      "linkName":"链路1",
      "linkStatus":0,
      "linkType":0,
      "startDeviceKey":"15538492545760007",
      "startPortName":"344",
      "endDeviceKey":"15514251771600000",
      "endPortName":"232",
      "endDeviceName": "232",
      "startDeviceName": "344",
      "status": "-1",
      "delFlag":0,
      "modifyTime":"20190429.192158.307",
    }
}
export const TOPOLOGY_COLLECTION = {
  "15538492545760007":
    {
      "topologyKey":"15538492545760007",
      "xAxis":100,
      "yAxis":100,
      "topologyName":"344",
      "nodeType":0,
      "belongSubnet":"001",
      "status":1,
    },
  "15514251771600000":
    {
      "topologyKey":"15514251771600000",
      "xAxis":200,
      "yAxis":200,
      "topologyName":"232",
      "nodeType":0,
      "belongSubnet":"001",
      "status":2,
    },
}

export const WS_RECOVER_INIT = {
  "1":
    {
      alarmCode: "1002111",
      alarmCount: 1,
      alarmKey: "1",
      alarmLevel: 2,
      alarmStatus: 0,
      cause: "设备失联",
      clearTime: "",
      confirmTime: "",
      confirmUser: "",
      curTime: "20190411.222031.213",
      deviceKey: "15483223363780045",
      deviceName: "设备60",
      deviceType: "CZ.T.T65D-V1",
      firstTime: "20190411.174400.938",
      nodeType: 0,
      note: "",
      portName: "",
      recoverTime: "",
      slotKey: ""
    }
}
export const WS_RECOVER = {
  "objectOption": 8,
  "objectType": 0,
  "returnObject": {
    alarmCode: "1002111",
    alarmCount: 1,
    alarmKey: "1",
    alarmLevel: 2,
    alarmStatus: 0,
    cause: "设备失联",
    clearTime: "",
    confirmTime: "",
    confirmUser: "",
    curTime: "20190411.222031.213",
    deviceKey: "15483223363780045",
    deviceName: "设备60",
    deviceType: "CZ.T.T65D-V1",
    firstTime: "20190411.174400.938",
    nodeType: 0,
    note: "",
    portName: "",
    recoverTime: "",
    slotKey: ""
  }
}
export const WS_RECOVER_SUCCESS = {}

export const PANIC_MSG = {
  objectOption: -1,
  objectType: -1,
  returnObject: 'I am panic!'
}
